<?php
/**
 * The template for 404 page (Not Found).
 *
 */
?>
<?php
    get_header();
    $gwen_option = atbs_core::bk_get_global_var('gwen_option');
    $subTitle = atbs_core::bk_get_theme_option('404--sub-title-text');
    if($subTitle == '') :
        $subTitle = esc_html__('Something went wrong!', 'gwen');
    endif;
    
    $noticeText = atbs_core::bk_get_theme_option('404--notice-text');
    if($noticeText == '') :
        $noticeText = esc_html__("We couldn't find the page you're looking for. Try searching or go back to the Homepage.", 'gwen');
    endif;
    
    $search = atbs_core::bk_get_theme_option('404-search');
    if($search == '') :
        $search = 'enable';
    endif;
    
    $gwen_allow_html = array(
        'a' => array(
            'href' => array(),
            'title' => array()
        ),
        'b'  => array(
            'class' => array(),
        ),
        'br' => array(),
        'em' => array(),
        'strong' => array(),
    );
?>
<div class="site-content">
    <div class="container container--narrow">
        <div class="error-page text-center">
    		<h1>404</h1>
            <p class="error-sub-text"><?php echo wp_kses($subTitle, $gwen_allow_html);?></p>
    		<p class="error-notice typescale-3"><?php echo wp_kses($noticeText, $gwen_allow_html);?></p>
    		<?php if($search != 'disable'):?>
            <div class="page-404-search">
    			<form class="search-form" method="get" action="<?php echo esc_url(home_url('/')); ?>">
    				<input type="text" name="s" class="search-form__input" placeholder="<?php esc_attr__('Type here to search', 'gwen');?>" value="">
    				<button type="submit" class="search-form__submit btn btn-primary"><?php esc_html_e('Search', 'gwen');?></button>
    			</form>
    		</div>	
            <?php endif;?>	
    	</div>
    </div>
</div>
<?php get_footer(); ?>