<?php
/**
 * The template for displaying Author archive pages
 *
 */
 ?> 
<?php
    get_header();
    
    if (function_exists('get_queried_object_id')) :
        $authorID = get_queried_object_id();
    else:
        $authorID = $wp_query->get_queried_object_id();
    endif;
    
    $authorLayout   = atbs_core::bk_get_theme_option('bk_author_content_layout');
    $pagination     = 'default';
    $sidebar        = atbs_core::bk_get_theme_option('bk_author_sidebar_select');
    $sidebarPos     = atbs_core::bk_get_theme_option('bk_author_sidebar_position');
    $sidebarSticky  = atbs_core::bk_get_theme_option('bk_author_sidebar_sticky'); 
    
    $moduleID = uniqid('gwen_posts_'.$authorLayout.'-');

?>
<div class="site-content">
<?php if( ($authorLayout == 'listing_list') ||
          ($authorLayout == 'listing_list_first_large') ||
          ($authorLayout == 'listing_grid') ||
          ($authorLayout == 'listing_grid_first_large') ||
          ($authorLayout == 'listing_large_post')
        ) {?>
    <div class="gwen-layout-split gwen-block gwen-block--fullwidth">
        <div class="container">
            <div class="row">
                <div class="gwen-main-col <?php if($sidebarPos == 'left') echo('has-left-sidebar');?>" role="main">
                    <div id="<?php echo esc_attr($moduleID);?>" class="gwen-block">
                        <?php echo gwen_archive::author_box($authorID);?>
                        
                        <div class="spacer-lg"></div>

                        <?php echo gwen_archive::archive_main_col($authorLayout, $moduleID, $pagination);?>
                        <?php echo gwen_archive::bk_pagination_render($pagination);?>

                    </div><!-- .gwen-block -->
                </div><!-- .gwen-main-col -->

                <div class="gwen-sub-col gwen-sub-col--right sidebar <?php if($sidebarSticky != 0) echo 'js-sticky-sidebar';?>" role="complementary">
                    <div class="theiaStickySidebar">
                        <?php 
                            dynamic_sidebar( $sidebar );
                        ?>
                    </div>
                </div> <!-- .gwen-sub-col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .gwen-block -->
<?php } elseif( 
          ($authorLayout == 'listing_large_post_fw')
        ) { ?>
    <div class="gwen-block gwen-block--fullwidth">
        <?php
            if( ($authorLayout == 'listing_grid_no_sidebar') || ($authorLayout == 'listing_grid_small_no_sidebar') ) {
                echo '<div class="container">';
            }else {
                echo '<div class="container container--narrow">';
            }
            ?>
            <?php echo gwen_archive::author_box($authorID);?>
                        
            <div class="spacer-lg"></div>
            
            <?php
            echo gwen_archive::archive_fullwidth($authorLayout);
            if (function_exists('gwen_paginate')) {
                echo atbs_core::gwen_get_pagination();
            }
            echo '</div><!-- .container -->';
        ?>
    </div><!-- .gwen-block -->
    <?php }else {?>
    <div class="gwen-layout-split gwen-block gwen-block--fullwidth">
        <div class="container">
            <div class="row">
                <div class="gwen-main-col" role="main">
                    <?php echo gwen_archive::author_box($authorID);?>
                    <div class="spacer-lg"></div>
                    
                    <div id="<?php echo esc_attr($moduleID);?>" class="gwen-block">
                        <?php echo gwen_archive::archive_main_col('listing_list', $moduleID, 'default');?>
                        <?php echo gwen_archive::bk_pagination_render('default');?>
                    </div><!-- .gwen-block -->
                </div><!-- .gwen-main-col -->

                <div class="gwen-sub-col gwen-sub-col--right sidebar js-sticky-sidebar" role="complementary">
                    <div class="theiaStickySidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>
                    </div>
                </div> <!-- .gwen-sub-col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .gwen-block -->
    <?php }?>
</div>
<?php get_footer(); ?>