<?php
/**
 * The template for displaying Category archive pages
 *
 */
 ?>
<?php
    get_header();
    $gwen_option = atbs_core::bk_get_global_var('gwen_option');
    
    $paged = intval(get_query_var('paged'));
    if(empty($paged) || $paged == 0) {
        $paged = 1;
    }
    
    if (function_exists('get_queried_object_id')) :
        $catID          = get_queried_object_id();
    else:
        $catID          = $wp_query->get_queried_object_id();
    endif;
    
    $archiveLayout  = gwen_archive::bk_get_archive_option($catID, 'bk_category_content_layout');
    $pagination     = 'default';
    $sidebar        = gwen_archive::bk_get_archive_option($catID, 'bk_category_sidebar_select');
    $sidebarPos     = gwen_archive::bk_get_archive_option($catID, 'bk_category_sidebar_position');
    $sidebarSticky  = gwen_archive::bk_get_archive_option($catID, 'bk_category_sidebar_sticky');
    
    $moduleID = uniqid('gwen_posts_'.$archiveLayout.'-');
    $posts_per_page = intval(get_query_var('posts_per_page'));
    
    $customArgs = array(
        'cat'               => $catID,
		'post_type'         => array( 'post' ),
		'posts_per_page'    => $posts_per_page,
        'post_status'       => 'publish',
        'offset'            => 0,
        'orderby'           => 'date',
	);
    atbs_core::bk_add_buff('query', $moduleID, 'args', $customArgs);
?>
<div class="site-content">
    
    <?php if( ($archiveLayout == 'listing_list') ||
              ($archiveLayout == 'listing_list_first_large') ||
              ($archiveLayout == 'listing_grid') ||
              ($archiveLayout == 'listing_grid_first_large') ||
              ($archiveLayout == 'listing_large_post')
            ) {?>
    <div class="gwen-layout-split gwen-block gwen-block--fullwidth">
        <div class="container">
            <div class="row">
                <div class="gwen-main-col <?php if($sidebarPos == 'left') echo('has-left-sidebar');?>" role="main">
                    <div class="page-heading archive-header category-header">
        				<span class="typescale-1">In</span>
        				<h2 class="typescale-6"><?php echo get_cat_name($catID)?></h2>
        			</div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="gwen-block">
                        <?php echo gwen_archive::archive_main_col($archiveLayout, $moduleID, $pagination);?>
                        <?php echo gwen_archive::bk_pagination_render($pagination);?>

                    </div><!-- .gwen-block -->
                </div><!-- .gwen-main-col -->

                <div class="gwen-sub-col gwen-sub-col--right sidebar <?php if($sidebarSticky != 0) echo 'js-sticky-sidebar';?>" role="complementary">
                    <div class="theiaStickySidebar">
                        <?php 
                            dynamic_sidebar( $sidebar );
                        ?>
                    </div>
                </div> <!-- .gwen-sub-col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .gwen-block -->
    <?php } elseif( 
              ($archiveLayout == 'listing_large_post_fw')
            ) { ?>
    <div id="<?php echo esc_attr($moduleID);?>" class="gwen-block gwen-block--fullwidth">
        <?php
        if( ($archiveLayout == 'listing_grid_no_sidebar') || ($archiveLayout == 'listing_list_no_sidebar') ) {
            echo '<div class="container">';
        }else {
            echo '<div class="container container--narrow">';
        }
        ?>
        <div class="page-heading archive-header category-header">
			<span class="typescale-1">In</span>
			<h2 class="typescale-6"><?php echo get_cat_name($catID)?></h2>
		</div>
        <?php
        echo gwen_archive::archive_fullwidth($archiveLayout, $moduleID, $pagination);
        echo gwen_archive::bk_pagination_render($pagination);

        echo '</div><!-- .container -->';
        ?>
    </div><!-- .gwen-block -->
    <?php }else {?>
    <div class="gwen-layout-split gwen-block gwen-block--fullwidth">
        <div class="container">
            <div class="row">
                <div class="gwen-main-col" role="main">
                    <div class="page-heading archive-header category-header">
            			<span class="typescale-1">In</span>
            			<h2 class="typescale-6"><?php echo get_cat_name($catID)?></h2>
            		</div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="gwen-block">
                        <?php echo gwen_archive::archive_main_col('listing_list', $moduleID, 'default');?>
                        <?php echo gwen_archive::bk_pagination_render('default');?>
                    </div><!-- .gwen-block -->
                </div><!-- .gwen-main-col -->

                <div class="gwen-sub-col gwen-sub-col--right sidebar js-sticky-sidebar" role="complementary">
                    <div class="theiaStickySidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>
                    </div>
                </div> <!-- .gwen-sub-col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .gwen-block -->
    <?php }?>
</div>

<?php get_footer(); ?>