<?php

add_theme_support('title-tag');

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function gwen_pingback_header() {
	if ( is_singular() && pings_open() ) {
		echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
	}
}
add_action( 'wp_head', 'gwen_pingback_header' );

/**
 * http://codex.wordpress.org/Content_Width
 */
if ( ! isset($content_width)) {
	$content_width = 1200;
}
/**
 * Add support for the featured images (also known as post thumbnails).
 */
if ( function_exists( 'add_theme_support' ) ) { 
	add_theme_support( 'post-thumbnails' );
}

/**
 * Remove Comment Default Style
 */
add_filter( 'show_recent_comments_widget_style', '__return_false' );
  
add_action( 'after_setup_theme', 'gwen_thumbnail_setup' );
if ( ! function_exists( 'gwen_thumbnail_setup' ) ){

    function gwen_thumbnail_setup() {
        add_image_size( 'gwen-xxs-4_3', 180, 135, true );
        add_image_size( 'gwen-xxs-1_1', 180, 180, true );
        add_image_size( 'gwen-xs-16_9 400x225', 400, 225, true );
        add_image_size( 'gwen-xs-4_3', 400, 300, true );
        add_image_size( 'gwen-xs-2_1', 400, 200, true );
        add_image_size( 'gwen-xs-1_1', 400, 400, true );        
        add_image_size( 'gwen-xs-16_9', 600, 338, true ); 
        add_image_size( 'gwen-s-4_3', 600, 450, true );
        add_image_size( 'gwen-s-2_1', 600, 300, true );
        add_image_size( 'gwen-s-1_1', 600, 600, true );
        add_image_size( 'gwen-m-16_9', 800, 450, true );
        add_image_size( 'gwen-m-4_3', 800, 600, true );
        add_image_size( 'gwen-m-2_1', 800, 400, true );
        add_image_size( 'gwen-l-16_9', 1200, 675, true );
        add_image_size( 'gwen-l-4_3', 1200, 900, true );
        add_image_size( 'gwen-l-2_1', 1200, 600, true );
        add_image_size( 'gwen-xl-16_9', 1600, 900, true );
        add_image_size( 'gwen-xl-4_3', 1600, 1200, true );        
        add_image_size( 'gwen-xl-2_1', 1600, 800, true ); 
        add_image_size( 'gwen-xxl', 2000, 1125, true );
    }

}
/**
 * Post Format 
 */
 add_action('after_setup_theme', 'gwen_add_theme_format', 11);
function gwen_add_theme_format() {
    add_theme_support( 'post-formats', array( 'gallery', 'video' ) );
}
/**
 * Add support for the featured images (also known as post thumbnails).
 */
if ( function_exists( 'add_theme_support' ) ) { 
	add_theme_support( 'post-thumbnails' );
    add_theme_support( 'automatic-feed-links' );
}
/**
 * Add Image Column To Posts Page
 */
function gwen_featured_image_column_image( $image ) {
    if ( !atbs_core::bk_check_has_post_thumbnail(get_the_ID()) )
        return trailingslashit( get_stylesheet_directory_uri() ) . 'images/no-featured-image';
}
add_filter( 'featured_image_column_default_image', 'gwen_featured_image_column_image' );
/**
 * Register menu locations
 *---------------------------------------------------
 */
if ( ! function_exists( 'gwen_register_menu' ) ) {
    function gwen_register_menu() {
        register_nav_menu('top-menu', esc_html__( 'Top Menu', 'gwen' ));
        register_nav_menu('main-menu', esc_html__( 'Main Menu', 'gwen' ));
        register_nav_menu('footer-menu', esc_html__( 'Footer Menu', 'gwen' )); 
        register_nav_menu('offcanvas-menu', esc_html__( 'Offcanvas Menu', 'gwen' )); 
    }
}
add_action( 'init', 'gwen_register_menu' );

function gwen_category_nav_class( $classes, $item ){
    if( 'category' == $item->object ){
        $classes[] = 'menu-item-cat-' . $item->object_id;
    }
    return $classes;
}
add_filter( 'nav_menu_css_class', 'gwen_category_nav_class', 10, 4 );

function gwen_custom_excerpt_length( $length ) {
	return 100;
}
add_filter( 'excerpt_length', 'gwen_custom_excerpt_length', 999 );

/**
 * ReduxFramework
 */
/**-------------------------------------------------------------------------------------------------------------------------
 * remove redux admin page
 */
if ( ! function_exists( 'gwen_remove_redux_page' ) ) {
	function gwen_remove_redux_page() {
		remove_submenu_page( 'tools.php', 'redux-about' );
	}
	add_action( 'admin_menu', 'gwen_remove_redux_page', 12 );
}
/**-------------------------------------------------------------------------------------------------------------------------
 * Init
 */
if ( !isset( $gwen_option ) && file_exists( GWEN_LIBS.'theme-option.php' ) ) {
    require_once( GWEN_LIBS.'theme-option.php' );
}
/**
 * Register sidebars and widgetized areas.
 *---------------------------------------------------
 */
 if ( ! function_exists( 'gwen_widgets_init' ) ) {
    function gwen_widgets_init() {
        $gwen_option = atbs_core::bk_get_global_var('gwen_option');
        register_sidebar( array(
    		'name' => esc_html__('Sidebar', 'gwen'),
    		'id' => 'home_sidebar',
    		'before_widget' => '<div id="%1$s" class="widget %2$s">',
    		'after_widget' => '</div>',
    		'before_title' => '<div class="widget__title block-heading block-heading--center"><h4 class="widget__title-text">',
    		'after_title' => '</h4></div>',
    	) );
    	register_sidebar( array(
    		'name' => esc_html__('Single Page Sidebar', 'gwen'),
    		'id' => 'single_sidebar',
    		'before_widget' => '<div id="%1$s" class="widget %2$s">',
    		'after_widget' => '</div>',
    		'before_title' => '<div class="widget__title block-heading block-heading--center"><h4 class="widget__title-text">',
    		'after_title' => '</h4></div>',
    	) );
    	register_sidebar( array(
    		'name' => esc_html__('Archive Page Sidebar', 'gwen'),
    		'id' => 'archive_sidebar',
    		'before_widget' => '<div id="%1$s" class="widget %2$s">',
    		'after_widget' => '</div>',
    		'before_title' => '<div class="widget__title block-heading block-heading--center"><h4 class="widget__title-text">',
    		'after_title' => '</h4></div>',
    	) );
    }
}
add_action( 'widgets_init', 'gwen_widgets_init' );

/**
 * Save Post Content Word Count
 *---------------------------------------------------
 */
function gwen_post_content__word_count($postID){
    $content = get_post_field( 'post_content', $postID );
    $word_count = str_word_count( strip_tags( $content ) );
    $lastLength = get_post_meta($postID, 'bk_post_content__word_count');
    if(!empty($lastLength)) :
        if(($lastLength[0] != '') && ($lastLength[0] != $word_count)) :
            update_post_meta($postID, 'bk_post_content__word_count', $word_count);
        elseif($lastLength[0] == '') :
            add_post_meta($postID, 'bk_post_content__word_count', $word_count, true);
        endif;
    endif;
}

add_action( 'post_updated', 'gwen_post_content__word_count', 10, 1 ); //don't forget the last argument to allow all three arguments of the function

/**
 * Add responsive container to embeds video
 */
if ( !function_exists('gwen_embed_html') ){
	function gwen_embed_html( $embed, $url = '', $attr = '' ) {
		$accepted_providers = array(
			'youtube',
			'vimeo',
			'slideshare',
			'dailymotion',
			'viddler.com',
			'hulu.com',
			'blip.tv',
			'revision3.com',
			'funnyordie.com',
			'wordpress.tv',
		);
		$resize = false;

		// Check each provider
		foreach ( $accepted_providers as $provider ) {
			if ( strstr( $url, $provider ) ) {
				$resize = true;
				break;
			}
		}
		if ( $resize ) {
	    	return '<div class="gwen-responsive-video">' . $embed . '</div>';
	    } else {
	    	return $embed;
	    }
	}
}
add_filter( 'embed_oembed_html', 'gwen_embed_html', 10, 3 );
add_filter( 'video_embed_html', 'gwen_embed_html' ); // Jetpack

/**
 * Limit number of tags in widget tag cloud
 */
if ( !function_exists('gwen_tag_widget_limit') ) {
  function gwen_tag_widget_limit($args){

    //Check if taxonomy option inside widget is set to tags
    if(isset($args['taxonomy']) && $args['taxonomy'] == 'post_tag'){
      $args['number'] = 16; //Limit number of tags
      $args['smallest'] = 12; //Size of lowest count tags
      $args['largest'] = 12; //Size of largest count tags
      $args['unit'] = 'px'; //Unit of font size
      $args['orderby'] = 'count'; //Order by counts
      $args['order'] = 'DESC';
    }

    return $args;
  }
}
add_filter('widget_tag_cloud_args', 'gwen_tag_widget_limit');

// Disables the block editor from managing widgets in the Gutenberg plugin.
add_filter( 'gutenberg_use_widgets_block_editor', '__return_false' );
// Disables the block editor from managing widgets.
add_filter( 'use_widgets_block_editor', '__return_false' );
?>