<?php
if (!class_exists('gwen_author_slider')) {
    class gwen_author_slider {
        
        public function render( $page_info ) {
            $block_str = '';
            $moduleID = uniqid('gwen_author_slider-');
            
            $author_option = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_author_option', true );
            
            if($author_option == 'pick_ids'):
                $pick_ids = get_post_meta( $page_info['page_id'], $page_info['block_prefix'].'_pick_ids', true );
                $pick_ids_array = explode(',',$pick_ids,1000);
                $user_query = new WP_User_Query( array( 'include' => $pick_ids_array ) );
            else:
                $user_query = new WP_User_Query( array( 'role' => 'Administrator' ) );
            endif;
            
            $block_str .= '<div id="'.$moduleID.'" class="gwen-block gwen-authors gwen-block--fullwidth gwen_author_slider"><div class="container">';
            $block_str .= $this->render_module($user_query);            //render modules
            $block_str .= '</div><!-- .container --></div><!-- .gwen-block -->';

            return $block_str;
    	}
        public function render_module ($user_query){
            $render_modules = '';
            $users_found = $user_query->get_results();
            if (count($users_found)) {
                $render_modules .= '<div class="author-slider js-gwen-flickity-slider">';
                foreach($users_found as $user) :
                    $authorID = $user->data->ID;
                    $bk_author_bio = get_the_author_meta('description', $authorID);
                    $bk_author_email = get_the_author_meta('publicemail', $authorID);
                    $bk_author_name = get_the_author_meta('display_name', $authorID);
                    $bk_author_tw = get_the_author_meta('twitter', $authorID);
                    $bk_author_go = get_the_author_meta('googleplus', $authorID);
                    $bk_author_fb = get_the_author_meta('facebook', $authorID);
                    $bk_author_yo = get_the_author_meta('youtube', $authorID);
                    $bk_author_www = get_the_author_meta('url', $authorID);
                    
                    $render_modules .= '<div class="slide-content">';
                    $render_modules .= '<div class="slide-content-inner">';
                    
                    $render_modules .= '<div class="author__name">';
                    $render_modules .= '<a class="entry-author__name" rel="author" title="'.esc_attr__('Author Name', 'gwen').'" href="'.get_author_posts_url($user->data->ID).'">'.$user->data->display_name.'</a>';
                    $render_modules .= '</div><!-- End Author Name-->';
                    $render_modules .= '<div class="author__avatar">';
                    $render_modules .= get_avatar( $user->data->ID, $size = '150', '', $user->data->user_nicename, array('class' => 'entry-author__avatar') );
                    $render_modules .= '</div><!-- End Author Avatar-->';
                    
                    $render_modules .= '<div class="author__text">';
    				$render_modules .= '<span>';
    				$render_modules .= $bk_author_bio;
    				$render_modules .= '</span>';
    				$render_modules .= '</div><!-- End Author Text-->';
                    
                    $render_modules .= '<div class="author__social">';
					$render_modules .= '<ul class="social-list social-list--md list-horizontal">';
					if (($bk_author_email != NULL) || ($bk_author_www != NULL) || ($bk_author_go != NULL) || ($bk_author_tw != NULL) || ($bk_author_fb != NULL) ||($bk_author_yo != NULL)) {
                        if ($bk_author_email != NULL) { $render_modules .= '<li><a href="mailto:'. esc_attr($bk_author_email) .'"><i class="mdicon mdicon-mail_outline"></i><span class="sr-only">e-mail</span></a></li>'; } 
                        if ($bk_author_www != NULL) { $render_modules .= ' <li><a href="'. esc_url($bk_author_www) .'" target="_blank"><i class="mdicon mdicon-public"></i><span class="sr-only">Website</span></a></li>'; } 
                        if ($bk_author_tw != NULL) { $render_modules .= ' <li><a href="'. esc_url($bk_author_tw).'" target="_blank" ><i class="mdicon mdicon-twitter"></i><span class="sr-only">Twitter</span></a></li>'; } 
                        if ($bk_author_go != NULL) { $render_modules .= ' <li><a href="'. esc_url($bk_author_go) .'" rel="publisher" target="_blank"><i class="mdicon mdicon-google-plus"></i><span class="sr-only">Google+</span></a></li>'; }
                        if ($bk_author_fb != NULL) { $render_modules .= ' <li><a href="'. esc_url($bk_author_fb) . '" target="_blank" ><i class="mdicon mdicon-facebook"></i><span class="sr-only">Facebook</span></a></li>'; }
                        if ($bk_author_yo != NULL) { $render_modules .= ' <li><a href="http://www.youtube.com/user/'. esc_attr($bk_author_yo) . '" target="_blank" ><span class="sr-only">Youtube</span></a></li>'; }
                    }       
					$render_modules .= '</ul>';
					$render_modules .= '</div><!-- End Author Social-->';
                    
                    $render_modules .= '</div>';
                    $render_modules .= '</div>';
                endforeach;
                $render_modules .= '</div><!--author-slider-->';
            }
            return $render_modules;
        }
        
    }
}