<?php
/* 
 * Sections Configuration
 */
 if ( ! function_exists( 'atbs_init_sections' ) ) {
	function atbs_init_sections() {
		$sections = array(
            'fullwidth'=>__('FullWidth Section','gwen'), 'has-rsb' => esc_html__('Content Section', 'gwen')
		);
		wp_localize_script( 'bk-composer-script', 'bk_sections', $sections );
        $modules = array(
            'featured_slider_with_list_vertical' => array(
				'title' => esc_html__( 'Featured Slider With List Vertical', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/gwen_1.png',
                'tabdisable' => 'tab-option-3 tab-option-4 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'Slider Query Option',
                    'tab-2' => 'List Vertical Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'number',
						'default' => 4
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'category',
						'default' => '0',
					),
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 2
                    'offset_2' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature_2' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby_2' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags_2' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category_2' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    'editor_pick_2' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude_2' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
                    //Tab 5
                    'cat_l' => array(
						'title' => esc_html__('Large Post: Category', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'excerpt_l' => array(
						'title' => esc_html__('Large Post: Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
                    'cat_s' => array(
						'title' => esc_html__('Small Post: Category', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta_s' => array(
						'title' => esc_html__('Small Post: Meta', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Meta', 'gwen' ),
                            0           => esc_html__( 'Disable Meta', 'gwen' ),
						),
					),
				),
            ),    
            'carousel_overlay_post_center' => array(
				'title' => esc_html__( 'Gwen Slider', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/gwen-slider.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Title', 'gwen' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'carousel_loop' => array(
						'title' => esc_html__('Carousel Loop', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'true',
						'options' => array(
                            'true'     => esc_html__( 'True', 'gwen' ),
							'false'    => esc_html__( 'False', 'gwen' ),
						),
					),    
                    'carousel_dot_nav' => array(
						'title' => esc_html__('Carousel Dot Navigation', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 0,
						'options' => array(
                            1     => esc_html__( 'True', 'gwen' ),
							0     => esc_html__( 'False', 'gwen' ),
						),
					),
                    
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta' => array(
						'title' => esc_html__('Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 8,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					),  
				),
            ), 
            'carousel_overlay_post_2i' => array(
				'title' => esc_html__( 'Carousel Overlay Post 2 Items', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/41.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Title', 'gwen' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'carousel_loop' => array(
						'title' => esc_html__('Carousel Loop', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'true',
						'options' => array(
                            'true'     => esc_html__( 'True', 'gwen' ),
							'false'    => esc_html__( 'False', 'gwen' ),
						),
					),    
                    'carousel_dot_nav' => array(
						'title' => esc_html__('Carousel Dot Navigation', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 0,
						'options' => array(
                            1     => esc_html__( 'True', 'gwen' ),
							0     => esc_html__( 'False', 'gwen' ),
						),
					),
                    
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta' => array(
						'title' => esc_html__('Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 8,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					),  
				),
            ), 
            'carousel_overlay_post_3i' => array(
				'title' => esc_html__( 'Carousel Overlay Post 3 Items', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/34.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Title', 'gwen' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'carousel_loop' => array(
						'title' => esc_html__('Carousel Loop', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'true',
						'options' => array(
                            'true'     => esc_html__( 'True', 'gwen' ),
							'false'    => esc_html__( 'False', 'gwen' ),
						),
					),    
                    'carousel_dot_nav' => array(
						'title' => esc_html__('Carousel Dot Navigation', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 0,
						'options' => array(
                            1     => esc_html__( 'True', 'gwen' ),
							0     => esc_html__( 'False', 'gwen' ),
						),
					),
                    
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta' => array(
						'title' => esc_html__('Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 8,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					),  
				),
            ), 
            'carousel_overlay_post_4i' => array(
				'title' => esc_html__( 'Carousel Overlay Post 4 Items', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/36.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Title', 'gwen' ),
						'description' => esc_html__( 'Lower Font Weight by put the text inside <span> tag', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'carousel_loop' => array(
						'title' => esc_html__('Carousel Loop', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'true',
						'options' => array(
                            'true'     => esc_html__( 'True', 'gwen' ),
							'false'    => esc_html__( 'False', 'gwen' ),
						),
					),  
                    'carousel_style' => array(
						'title' => esc_html__('Carousel Style', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'wide',
						'options' => array(
                            'boxed'     => esc_html__( 'Boxed', 'gwen' ),
							'wide'    => esc_html__( 'Wide', 'gwen' ),
						),
					),  
                    'carousel_dot_nav' => array(
						'title' => esc_html__('Carousel Dot Navigation', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 0,
						'options' => array(
                            1     => esc_html__( 'True', 'gwen' ),
							0     => esc_html__( 'False', 'gwen' ),
						),
					),
                    
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma - Must Pick The review Post', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta' => array(
						'title' => esc_html__('Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 8,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					),  
				),
            ), 
            'mailchimp_subscribe' => array(
				'title' => esc_html__( 'Mailchimp', 'gwen'),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/51.png',
                'tabdisable' => 'tab-option-2 tab-option-3 tab-option-4 tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'Shortcode Config Panel',
                ),
				'options' => array(
                    'shortcode' => array(
						'title' => esc_html__('Mailchimp Shortcode', 'gwen'),
						'description' => esc_html__( 'Put Shortcode here', 'gwen'),
						'field' => 'textarea',
						'default' => '',
					),
				),
			),     
            'author_slider' => array(
				'title' => esc_html__( 'Author Slider', 'gwen'),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/52.png',
                'tabdisable' => 'tab-option-2 tab-option-3 tab-option-4 tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'Config',
                ),
                'options' => array(
    				'author_option' => array(
    					'title' => esc_html__('Author Options', 'gwen'),
                        'description' => esc_html__( 'Select option to show the authors', 'gwen' ),
    					'optionclass' => 'option-tab-1 gwen-bg-options',
                        'field' => 'select',
    					'default' => 'all_authors',
    					'options' => array(
    						'pick_ids'      => esc_html__( 'Pick IDs', 'gwen' ),
                            'all_authors'   => esc_html__( 'All Authors', 'gwen' ),
    					),
    				),
                    'pick_ids' => array(
    					'title' => esc_html__('Author IDs', 'gwen' ),
    					'description' => esc_html__( 'Show the authors by IDs (eg: ID1, ID2, ID3)', 'gwen' ),
    					'optionclass' => 'option-tab-1',
                        'required'    => array('author_option' => 'pick_ids'),
                        'field' => 'text',
    					'default' => '',
    				),
                ),
			), 
            'promo_box' => array(
				'title' => esc_html__( 'Promo Box', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/promo-box.png',
                'tabdisable' => 'tab-option-2 tab-option-4 tab-option-5',
				'options' => array(
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'promo_box_title_1' => array(
						'title' => esc_html__('Promo Box Title - #1', 'gwen' ),
						'description' => esc_html__( 'Put Title Text Here', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'text',
						'default' => '',
					),
                    'promo_box_img_1' => array(
						'title' => esc_html__('Promo Box Image URL - #1', 'gwen' ),
						'description' => esc_html__( 'Put Image URL Here', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'text',
						'default' => '',
					),
                    'promo_box_url_1' => array(
						'title' => esc_html__('Promo Box Destination URL - #1', 'gwen' ),
                        'description' => esc_html__( 'Put Image URL Here', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'promo_box_title_2' => array(
						'title' => esc_html__('Promo Box Title - #2', 'gwen' ),
						'description' => esc_html__( 'Put Title Text Here', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'text',
						'default' => '',
					),
                    'promo_box_img_2' => array(
						'title' => esc_html__('Promo Box Image URL - #2', 'gwen' ),
						'description' => esc_html__( 'Put Image URL Here', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'text',
						'default' => '',
					),
                    'promo_box_url_2' => array(
						'title' => esc_html__('Promo Box Destination URL - #2', 'gwen' ),
                        'description' => esc_html__( 'Put Image URL Here', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'promo_box_title_3' => array(
						'title' => esc_html__('Promo Box Title - #3', 'gwen' ),
						'description' => esc_html__( 'Put Title Text Here', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'text',
						'default' => '',
					),
                    'promo_box_img_3' => array(
						'title' => esc_html__('Promo Box Image URL - #3', 'gwen' ),
						'description' => esc_html__( 'Put Image URL Here', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'text',
						'default' => '',
					),
                    'promo_box_url_3' => array(
						'title' => esc_html__('Promo Box Destination URL - #3', 'gwen' ),
                        'description' => esc_html__( 'Put Image URL Here', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title_color' => array(
						'title' => esc_html__('Color: Module Title Color Option', 'gwen' ),
						'description' => esc_html__( 'Leave empty to use the default settings that can be setup in Theme Option', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'colorpicker',
					),
                    'module_title_text_color' => array(
						'title' => esc_html__('Color: Module Title Text Color Option', 'gwen' ),
						'description' => esc_html__( 'Leave empty to use the default settings that can be setup in Theme Option', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'colorpicker',
					),
                    'module_background' => array(
						'title' => esc_html__('Color: Module Background Color', 'gwen' ),
						'description' => esc_html__( 'Put the color code to this field', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'colorpicker',
						'default' => '',
					),
				),
			),   
            'category_tiles' => array(
				'title' => esc_html__( 'Category Tiles', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/Category-Tiles.png',
                'tabdisable' => 'tab-option-2 tab-option-3 tab-option-4 tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-1',
                        'field' => 'category',
						'default' => '0',
					),
                    'category_description' => array(
						'title' => esc_html__('Category Description', 'gwen' ),
                        'optionclass' => 'option-tab-1',
						'field' => 'select',
						'default' => 'post-count',
						'options' => array(
                            'description'       => esc_html__( 'Category Description', 'gwen' ),
                            'post-count'        => esc_html__( 'Post Count', 'gwen' ),
                            'disable'           => esc_html__( 'Disable', 'gwen' ),
						),
					),
				),
            ),
            'posts_listing_grid_fw' => array(
				'title' => esc_html__( 'Posts Listing Grid', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/44.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'gwen'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'gwen' ),
						'optionclass' => 'option-tab-1 gwen-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'gwen' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'gwen' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'gwen' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts (Should be even number: 4, 6, 8, etc.)', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 8
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					), 
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta' => array(
						'title' => esc_html__('Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 3,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            3       => esc_html__( 'Meta Items: Author + Date + Comments', 'gwen' ),
                            4       => esc_html__( 'Meta Items: Author + Date + Views', 'gwen' ),
                            5       => esc_html__( 'Meta Items: Author + Comments + Views', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            11      => esc_html__( 'Meta Items: Date + Comments + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					),  
                    'excerpt' => array(
						'title' => esc_html__('Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
				),
            ),
            'posts_listing_large_grid_fw' => array(
				'title' => esc_html__( 'Posts Listing Large Grid', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/46.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'gwen'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'gwen' ),
						'optionclass' => 'option-tab-1 gwen-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'gwen' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'gwen' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'gwen' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta' => array(
						'title' => esc_html__('Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 3,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            3       => esc_html__( 'Meta Items: Author + Date + Comments', 'gwen' ),
                            4       => esc_html__( 'Meta Items: Author + Date + Views', 'gwen' ),
                            5       => esc_html__( 'Meta Items: Author + Comments + Views', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            11      => esc_html__( 'Meta Items: Date + Comments + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					), 
                    'excerpt' => array(
						'title' => esc_html__('Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
				),
            ),
        );
		wp_localize_script( 'bk-composer-script', 'bk_fullwidth_modules', $modules );
        $modules = array(
            'posts_listing_list_first_large' => array(
				'title' => esc_html__( 'Posts Listing List First Large', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/49.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'gwen'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'gwen' ),
						'optionclass' => 'option-tab-1 gwen-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'gwen' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'gwen' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'gwen' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					), 
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_l' => array(
						'title' => esc_html__('Large Post: Category', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-1',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'cat_s' => array(
						'title' => esc_html__('Small Post: Category', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-2',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta_l' => array(
						'title' => esc_html__('Large Post: Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-1',
						'field' => 'select',
						'default' => 3,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            3       => esc_html__( 'Meta Items: Author + Date + Comments', 'gwen' ),
                            4       => esc_html__( 'Meta Items: Author + Date + Views', 'gwen' ),
                            5       => esc_html__( 'Meta Items: Author + Comments + Views', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            11      => esc_html__( 'Meta Items: Date + Comments + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					), 
                    'meta_s' => array(
						'title' => esc_html__('Small Post: Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-2',
						'field' => 'select',
						'default' => 3,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            3       => esc_html__( 'Meta Items: Author + Date + Comments', 'gwen' ),
                            4       => esc_html__( 'Meta Items: Author + Date + Views', 'gwen' ),
                            5       => esc_html__( 'Meta Items: Author + Comments + Views', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            11      => esc_html__( 'Meta Items: Date + Comments + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					), 
                    'excerpt_l' => array(
						'title' => esc_html__('Large Post: Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-1',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
                    'excerpt_s' => array(
						'title' => esc_html__('Small Post: Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-2',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
				),
            ),
            'posts_listing_grid_first_large' => array(
				'title' => esc_html__( 'Posts Listing Grid First Large', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/50.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'gwen'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'gwen' ),
						'optionclass' => 'option-tab-1 gwen-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'gwen' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'gwen' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'gwen' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					), 
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_l' => array(
						'title' => esc_html__('Large Post: Category', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-1',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'cat_s' => array(
						'title' => esc_html__('Small Post: Category', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-2',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta_l' => array(
						'title' => esc_html__('Large Post: Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-1',
						'field' => 'select',
						'default' => 3,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            3       => esc_html__( 'Meta Items: Author + Date + Comments', 'gwen' ),
                            4       => esc_html__( 'Meta Items: Author + Date + Views', 'gwen' ),
                            5       => esc_html__( 'Meta Items: Author + Comments + Views', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            11      => esc_html__( 'Meta Items: Date + Comments + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					), 
                    'meta_s' => array(
						'title' => esc_html__('Small Post: Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-2',
						'field' => 'select',
						'default' => 3,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            3       => esc_html__( 'Meta Items: Author + Date + Comments', 'gwen' ),
                            4       => esc_html__( 'Meta Items: Author + Date + Views', 'gwen' ),
                            5       => esc_html__( 'Meta Items: Author + Comments + Views', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            11      => esc_html__( 'Meta Items: Date + Comments + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					), 
                    'excerpt_l' => array(
						'title' => esc_html__('Large Post: Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-1',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
                    'excerpt_s' => array(
						'title' => esc_html__('Small Post: Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5 option-column-2',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
				),
            ),
            'posts_listing_grid' => array(
				'title' => esc_html__( 'Posts Listing Grid', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/48.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'gwen'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'gwen' ),
						'optionclass' => 'option-tab-1 gwen-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'gwen' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'gwen' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'gwen' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts (Should be even number: 4, 6, 8, etc.)', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 8
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					), 
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta' => array(
						'title' => esc_html__('Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 3,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            3       => esc_html__( 'Meta Items: Author + Date + Comments', 'gwen' ),
                            4       => esc_html__( 'Meta Items: Author + Date + Views', 'gwen' ),
                            5       => esc_html__( 'Meta Items: Author + Comments + Views', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            11      => esc_html__( 'Meta Items: Date + Comments + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					),  
                    'excerpt' => array(
						'title' => esc_html__('Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
				),
            ),
            'posts_listing_list' => array(
				'title' => esc_html__( 'Posts Listing List', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/47.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'gwen'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'gwen' ),
						'optionclass' => 'option-tab-1 gwen-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'gwen' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'gwen' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'gwen' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta' => array(
						'title' => esc_html__('Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 3,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            3       => esc_html__( 'Meta Items: Author + Date + Comments', 'gwen' ),
                            4       => esc_html__( 'Meta Items: Author + Date + Views', 'gwen' ),
                            5       => esc_html__( 'Meta Items: Author + Comments + Views', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            11      => esc_html__( 'Meta Items: Date + Comments + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					), 
                    'excerpt' => array(
						'title' => esc_html__('Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
				),
            ),
            
            'posts_listing_large_grid' => array(
				'title' => esc_html__( 'Posts Listing Large Grid', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/46.png',
                'tabdisable' => 'tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Type',
                    'tab-5' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'ajax_load_more' => array(
						'title' => esc_html__('Ajax Load More', 'gwen'),
                        'description' => esc_html__( 'Select an Ajax Load More Type', 'gwen' ),
						'optionclass' => 'option-tab-1 gwen-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'gwen' ),
                            'pagination' => esc_html__( 'Ajax Pagination', 'gwen' ),
                            'loadmore' => esc_html__( 'Ajax Load More Button', 'gwen' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'post_source' => array(
						'title' => esc_html__('Show only Post Type', 'gwen' ),
                        'description' => esc_html__( 'All - Show All Post Type and Will Not Display Post Icon', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'all',
						'options' => array(
                            'all'        => esc_html__( 'All', 'gwen' ),
							'video'      => esc_html__( 'Video', 'gwen' ),
                            'gallery'    => esc_html__( 'Gallery', 'gwen' ),
                            'review'     => esc_html__( 'Review', 'gwen' ),
						),
					),    
                    'post_icon' => array(
						'title' => esc_html__('Post Icon', 'gwen' ),
                        'description' => esc_html__( 'Configure Post Icon on This Module', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 'disable',
						'options' => array(
                            'disable'           => esc_html__( 'Disable Post Icon', 'gwen' ),
							'enable'            => esc_html__( 'Enable Post Icon', 'gwen' ),
						),
					), 
                    //Tab 5
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
                    'meta' => array(
						'title' => esc_html__('Meta List', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 3,
						'options' => array(
                            1       => esc_html__( 'Meta Items: Author', 'gwen' ),
                            2       => esc_html__( 'Meta Items: Author + Date', 'gwen' ),
                            3       => esc_html__( 'Meta Items: Author + Date + Comments', 'gwen' ),
                            4       => esc_html__( 'Meta Items: Author + Date + Views', 'gwen' ),
                            5       => esc_html__( 'Meta Items: Author + Comments + Views', 'gwen' ),
                            6       => esc_html__( 'Meta Items: Author + Views', 'gwen' ),
                            7       => esc_html__( 'Meta Items: Author + Comments', 'gwen' ),
                            8       => esc_html__( 'Meta Items: Date', 'gwen' ),
                            9       => esc_html__( 'Meta Items: Date + Comments', 'gwen' ),
                            10      => esc_html__( 'Meta Items: Date + Views', 'gwen' ),
                            11      => esc_html__( 'Meta Items: Date + Comments + Views', 'gwen' ),
                            12      => esc_html__( 'Meta Items: Comments + Views', 'gwen' ),
                            0       => esc_html__( 'Disable Post Meta', 'gwen' ),
						),
					), 
                    'excerpt' => array(
						'title' => esc_html__('Excerpt', 'gwen' ),
                        'optionclass' => 'option-tab-5',
						'field' => 'select',
						'default' => 1,
						'options' => array(
                            1            => esc_html__( 'Enable Excerpt', 'gwen' ),
                            0            => esc_html__( 'Disable Excerpt', 'gwen' ),
						),
					),
				),
            ),
            
            'posts_block_main_col_l' => array(
				'title' => esc_html__( 'Small Posts Block Main Col', 'gwen' ),
                'img'   => get_template_directory_uri().'/images/admin_panel/pagebuilder-modules/45.png',
                'tabdisable' => 'tab-option-5 tab-option-6',
                'tabnames'  => array(
                    'tab-1' => 'General',
                    'tab-2' => 'Query Option',
                    'tab-3' => 'Manually Pick Post',
                    'tab-4' => 'Post Info',
                ),
				'options' => array(
                    // Tab 1
                    'sub_title' => array(
						'title' => esc_html__('Sub Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'title' => array(
						'title' => esc_html__('Main Title', 'gwen' ),
						'description' => '',
                        'optionclass' => 'option-tab-1',
						'field' => 'text',
						'default' => '',
					),
                    'load_more' => array(
						'title' => esc_html__('Header View More Button', 'gwen'),
                        'description' => esc_html__( 'Only Enable if Title Style different: Center || Large Center || Line Around || Large Line Around', 'gwen' ),
						'optionclass' => 'option-tab-1 gwen-ajax-load-more',
                        'field' => 'select',
						'default' => 'disable',
						'options' => array(
							'disable' => esc_html__( 'Disable', 'gwen' ),
                            'viewall' => esc_html__( 'Enable', 'gwen' ),
						),
					),
                    'viewmore' => array(
						'title' => esc_html__('Enable View More Button', 'gwen' ),
                        'description' => esc_html__('Should be displayed at the bottom of the module', 'gwen'),
                        'optionclass' => 'option-tab-1 gwen-view-more-button',
						'field' => 'select',
						'default' => 'no',
						'options' => array(
                            'no'  => esc_html__( 'No', 'gwen' ),
							'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'view_more_link' => array(
						'title' => esc_html__('View More Button Link', 'gwen' ),
						'description' => esc_html__( 'Insert the link for the View More button', 'gwen' ),
                        'optionclass' => 'option-tab-1 gwen-view-more',
						'field' => 'text',
						'default' => '',
					),
                    'view_more_text' => array(
						'title' => esc_html__('View More Button Text', 'gwen' ),
                        'optionclass' => 'option-tab-1 gwen-view-more',
						'field' => 'text',
						'default' => '',
					),
                    'view_more_target' => array(
						'title' => esc_html__('Target', 'gwen'),
						'optionclass' => 'option-tab-1 gwen-view-more',
                        'field' => 'select',
						'default' => '_blank',
						'options' => array(
							'_blank'   => esc_html__( 'Open link in new tab', 'gwen' ),
                            '_self'    => esc_html__( 'Open link in current tab', 'gwen' ),
						),
					),
                    // Tab 2
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'gwen' ),
						'description' => esc_html__( 'Enter the number of posts', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'number',
						'default' => 10
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'gwen' ),
						'description' => esc_html__( 'Enter the offset number', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'number',
						'default' => 0
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts as highest priority', 'gwen'),
                        'description' => esc_html__( 'Yes: Display featured posts as highest priority', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'select',
						'default' => 'no',
						'options' => array(
							'no' => esc_html__( 'No', 'gwen' ),
                            'yes' => esc_html__( 'Yes', 'gwen' ),
						),
					),
                    'orderby' => array(
						'title' => esc_html__('Order By', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'select',
						'default' => 'date',
						'options' => array(
                            'date'              => esc_html__( 'Latest Posts', 'gwen' ),
                            'comment_count'     => esc_html__( 'Popular Post by Comments', 'gwen' ),
                            'view_count'        => esc_html__( 'Popular Post by Views', 'gwen' ),
                            'top_review'        => esc_html__( 'Best Review', 'gwen' ),
                            'modified'          => esc_html__( 'Modified', 'gwen' ),
                            'speed_reads'       => esc_html__( 'Speed Reads', 'gwen' ),
                            'alphabetical_asc'  => esc_html__( 'Alphabetical A->Z', 'gwen' ),
                            'alphabetical_decs' => esc_html__( 'Alphabetical Z->A', 'gwen' ),
						),
					), 
                    'tags' => array(
						'title' => esc_html__('Tags', 'gwen' ),
						'description' => esc_html__( '[Optional] Separate tags by the comma. e.g. tag1,tag2', 'gwen' ),
                        'optionclass' => 'option-tab-2',
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'gwen' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'gwen' ),
						'optionclass' => 'option-tab-2',
                        'field' => 'category',
						'default' => '0',
					),
                    // Tab 3
                    'editor_pick' => array(
						'title' => esc_html__('Manually Pick Post (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma, Must Pick the Video Posts', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    'editor_exclude' => array(
						'title' => esc_html__('Manually Exclude Posts (By Post IDs)', 'gwen' ),
						'description' => esc_html__( 'Insert the post IDs here, separated by a comma', 'gwen' ),
                        'optionclass' => 'option-tab-3',
						'field' => 'text',
						'default' => '',
					),
                    // Tab 4
                    'cat_style' => array(
						'title' => esc_html__('Category Style', 'gwen' ),
                        'optionclass' => 'option-tab-4',
						'field' => 'select',
						'default' => 0,
						'options' => array(
                            1           => esc_html__( 'Enable Category', 'gwen' ),
                            0           => esc_html__( 'Disable Category', 'gwen' ),
						),
					),
				),
            ),
        );
		wp_localize_script( 'bk-composer-script', 'bk_has_rsb_modules', $modules );
        $modules = array(
        
        );
		wp_localize_script( 'bk-composer-script', 'bk_has_innersb_left_modules', $modules );
        $modules = array(

        );
		wp_localize_script( 'bk-composer-script', 'bk_has_innersb_right_modules', $modules );
	}
} 