<?php
if (!class_exists('gwen_featured_slider')) {
    class gwen_featured_slider {
        
        function render($postAttr) {
            ob_start();
            $postID = $postAttr['postID'];
            if(isset($postAttr['postIcon']) && ($postAttr['postIcon'] != '')) {
                $postIcon = $postAttr['postIcon']; 
            }else {
                $postIcon = '';
            }
            if(isset($postAttr['catClass']) && ($postAttr['catClass'] != '')) {
                $catClass = $postAttr['catClass']; 
            }else {
                $catClass = '';
            }
            
            $thumbAttr = array (
                'postID'        => $postID,
                'thumbSize'     => $postAttr['thumbSize'],                                
            );
            $theBGLink = atbs_core::bk_get_post_thumbnail_bg_link($thumbAttr);
            ?>
            <article class="main-post post">
				<div class="featured-slider--thumbnail clearfix">
                    <?php if(atbs_core::bk_check_has_post_thumbnail($postID) && isset($postAttr['thumbSize']) && ($postAttr['thumbSize'] != '')) :?>
    				    <div class="post-thumbnail">
                            <div class="background-img" style="background-image: url('<?php echo esc_url($theBGLink);?>');"></div>
                        </div>
                    <?php endif;?>
                </div>
                <div class="post__text">
					<?php if(isset($postAttr['cat']) && ($postAttr['cat'] == 1)) echo atbs_core::bk_get_post_cat_link($postID, $catClass);?>
                    <h3 class="post__title <?php echo esc_attr($postAttr['typescale']);?>"><?php echo atbs_core::bk_get_post_title_link($postAttr['postID']);?></h3>
					<?php if(isset($postAttr['except_length']) && ($postAttr['except_length'] != null)) {?>
                    <div class="post__excerpt <?php if(isset($postAttr['additionalExcerptClass']) && ($postAttr['additionalExcerptClass'] != null)) echo esc_attr($postAttr['additionalExcerptClass']);?>">
						<?php echo atbs_core::bk_get_post_excerpt($postAttr['except_length']);?>
					</div>
                    <?php }?>
					<div class="post__readmore">
                        <a href="<?php echo get_permalink($postID);?>" class="button__readmore"><span class="readmore__text"><?php esc_html_e('Read More', 'gwen');?></span></a>
					</div>
				</div>
			</article>
            <?php return ob_get_clean();
        }
        
    }
}