<?php
if (!class_exists('gwen_vertical_3')) {
    class gwen_vertical_3 {
        
        function render($postAttr) {
            ob_start();
            $postID = $postAttr['postID'];
            $bk_permalink = get_permalink($postID);
            $bk_post_title = get_the_title($postID);
            if(isset($postAttr['catClass']) && ($postAttr['catClass'] != '')) {
                $catClass = $postAttr['catClass']; 
            }else {
                $catClass = '';
            }
            if(isset($postAttr['postIcon']) && ($postAttr['postIcon'] != '')) {
                $postIcon = $postAttr['postIcon']; 
            }else {
                $postIcon = '';
            }
            if(isset($postAttr['meta_seperator']) && ($postAttr['meta_seperator'] != '')) {
                $metaSeperator = 1;
            }else {
                $metaSeperator = 0;
            }
            ?>
            <article class="post post--vertical post--vertical__lg ">
                <?php if(atbs_core::bk_check_has_post_thumbnail($postID) && isset($postAttr['thumbSize']) && ($postAttr['thumbSize'] != '')) :?>
				    <div class="post__thumb">
                        <?php echo atbs_core::get_feature_image($postID, $postAttr['thumbSize'], true, $postIcon);?>
                        <?php if(isset($postAttr['cat']) && ($postAttr['cat'] == 2)) echo atbs_core::bk_get_post_cat_link($postID, $catClass);?>
                    </div>
                <?php endif;?>
				<div class="post__text">
                    <div class="post__head">
                        <?php if(isset($postAttr['cat']) && ($postAttr['cat'] != 0)) echo atbs_core::bk_get_post_cat_link($postID, $catClass);?>
                        <h3 class="post__title <?php echo esc_attr($postAttr['typescale']);?>"><a href="<?php echo esc_url($bk_permalink);?>"><?php echo esc_attr($bk_post_title);?></a></h3>
                        <?php
                        if (isset($postAttr['meta']) && ($postAttr['meta'] != '')) :
                            echo '<div class="post__meta">';
                            echo atbs_core::bk_get_post_meta($postAttr['meta'], $metaSeperator);
                            echo '</div>';
                        endif;
                        ?>
                    </div>
                    <?php if(isset($postAttr['except_length']) && ($postAttr['except_length'] != null)) {?>
                    <div class="post__excerpt <?php if(isset($postAttr['additionalExcerptClass']) && ($postAttr['additionalExcerptClass'] != null)) echo esc_attr($postAttr['additionalExcerptClass']);?>">
						<?php echo atbs_core::bk_get_post_excerpt($postAttr['except_length']);?>
					</div>
                    <?php }?>
                    <div class="post__readmore">
                        <a href="<?php echo esc_url($bk_permalink);?>" class="button__readmore"><span class="readmore__text"><?php esc_html_e('Read More', 'gwen');?></span></a>
					</div>
                    <div class="post__footer">
                        <div class="row row--flex row--vertical-center">
        					<div class="col-xs-5">
        						<?php
                                    if ( function_exists( 'bk_vertical_post_share' ) ) {
                                        echo '<div class="social-share text-left">';
                                        echo bk_vertical_post_share($postID);
                                        echo '</div>';
                                    }
                                ?>
                            </div>
        					<div class="col-xs-2">
        						<div class="comment-count">
                                    <div class="comment-count__inner">
            							<i class="mdicon mdicon-chat_bubble"></i>
                                        <span class="count"><?php echo get_comments_number($postID)?></span>
                                    </div>
        						</div>
        					</div>
        					<div class="col-xs-5 text-right">
                                <div class="post__tags">
                                    <?php
                                    $tags = get_the_tags($postID);
                                    if($tags != '') :
                                    $tagCount = 0;
                                    ?>
                                    <?php
                                        foreach ($tags as $tagKey => $tag):
                                            if($tagKey == 3) break;
                                			echo '<a class="post--vertical-tag" rel="tag" href="'. get_tag_link($tag->term_id) .'">#'. $tag->name.'</a>';
                                		endforeach;
                                    ?>
                                    <?php endif;?>
                                </div>
                            </div>
        				</div>
                    </div>
				</div>
			</article>
            <?php return ob_get_clean();
        }
        
    }
}