<?php
if (!class_exists('gwen_ajax_post_list')) {
    class gwen_ajax_post_list {
        //Search Query
        static function gwen_query($args) {    
            $the_query = new WP_Query($args);
            unset($args);
            wp_reset_postdata();                                                            
            return $the_query;
        }
    }
}
//FW
add_action('wp_ajax_nopriv_gwen_posts_listing_grid_fw', 'gwen_posts_listing_grid_fw');
add_action('wp_ajax_gwen_posts_listing_grid_fw', 'gwen_posts_listing_grid_fw');
if (!function_exists('gwen_posts_listing_grid_fw')) {
    function gwen_posts_listing_grid_fw()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args       = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $type       = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_grid_fw;
            $dataReturn = $thismodule->render_modules($the_query, $moduleInfo);
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_large_grid_fw', 'gwen_posts_listing_large_grid_fw');
add_action('wp_ajax_gwen_posts_listing_large_grid_fw', 'gwen_posts_listing_large_grid_fw');
if (!function_exists('gwen_posts_listing_large_grid_fw')) {
    function gwen_posts_listing_large_grid_fw()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args       = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $type       = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_large_grid_fw;
            $dataReturn = $thismodule->render_modules($the_query, $moduleInfo);
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
    }
}
//Has SB
add_action('wp_ajax_nopriv_gwen_posts_listing_list_first_large', 'gwen_posts_listing_list_first_large');
add_action('wp_ajax_gwen_posts_listing_list_first_large', 'gwen_posts_listing_list_first_large');
if (!function_exists('gwen_posts_listing_list_first_large')) {
    function gwen_posts_listing_list_first_large()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null; 
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) :
            $thismodule = new gwen_posts_listing_list_first_large;
            $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
        else :
            $dataReturn = 'no-result';        
        endif;
        
        die(json_encode($dataReturn));
    }
}

add_action('wp_ajax_nopriv_gwen_posts_listing_grid_first_large', 'gwen_posts_listing_grid_first_large');
add_action('wp_ajax_gwen_posts_listing_grid_first_large', 'gwen_posts_listing_grid_first_large');
if (!function_exists('gwen_posts_listing_grid_first_large')) {
    function gwen_posts_listing_grid_first_large()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null; 
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) :
            $thismodule = new gwen_posts_listing_grid_first_large;
            $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
        else :
            $dataReturn = 'no-result';        
        endif;
        
        die(json_encode($dataReturn));
    }
}

add_action('wp_ajax_nopriv_gwen_posts_listing_grid', 'gwen_posts_listing_grid');
add_action('wp_ajax_gwen_posts_listing_grid', 'gwen_posts_listing_grid');
if (!function_exists('gwen_posts_listing_grid')) {
    function gwen_posts_listing_grid()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args       = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $type       = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_grid;
            $dataReturn = $thismodule->render_modules($the_query, $moduleInfo);
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
    }
}

add_action('wp_ajax_nopriv_gwen_posts_listing_large_grid', 'gwen_posts_listing_large_grid');
add_action('wp_ajax_gwen_posts_listing_large_grid', 'gwen_posts_listing_large_grid');
if (!function_exists('gwen_posts_listing_large_grid')) {
    function gwen_posts_listing_large_grid()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args       = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $type       = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_large_grid;
            $dataReturn = $thismodule->render_modules($the_query, $moduleInfo);
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
    }
}

add_action('wp_ajax_nopriv_gwen_posts_listing_list', 'gwen_posts_listing_list');
add_action('wp_ajax_gwen_posts_listing_list', 'gwen_posts_listing_list');
if (!function_exists('gwen_posts_listing_list')) {
    function gwen_posts_listing_list()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args       = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_list;
            $dataReturn = $thismodule->render_modules($the_query, $moduleInfo);
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
    }
}
/*
add_action('wp_ajax_nopriv_gwen_author_results', 'gwen_author_results');
add_action('wp_ajax_gwen_author_results', 'gwen_author_results');
if (!function_exists('gwen_author_results')) {
    function gwen_author_results()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null; 
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null; 
        $args['offset'] = $postOffset;
        $dataReturn = 'no-result';
        
        $users = new WP_User_Query( $args );
        $users_found = $users->get_results();
        $user_count = count($users_found);
        
        if ( $user_count > 0 ) :
            $dataReturn = gwen_archive::bk_render_authors($users_found);
        else :
            $dataReturn = 'no-result';        
        endif;
        
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_list_alt_a', 'gwen_posts_listing_list_alt_a');
add_action('wp_ajax_gwen_posts_listing_list_alt_a', 'gwen_posts_listing_list_alt_a');
if (!function_exists('gwen_posts_listing_list_alt_a')) {
    function gwen_posts_listing_list_alt_a()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null; 
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) :
            $thismodule = new gwen_posts_listing_list_alt_a;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        else :
            $dataReturn = 'no-result';        
        endif;
        
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_list_alt_a_no_sidebar', 'gwen_posts_listing_list_alt_a_no_sidebar');
add_action('wp_ajax_gwen_posts_listing_list_alt_a_no_sidebar', 'gwen_posts_listing_list_alt_a_no_sidebar');
if (!function_exists('gwen_posts_listing_list_alt_a_no_sidebar')) {
    function gwen_posts_listing_list_alt_a_no_sidebar()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null; 
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) :
            $thismodule = new gwen_posts_listing_list_alt_a_no_sidebar;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        else :
            $dataReturn = 'no-result';        
        endif;
        
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_list_alt_b_no_sidebar', 'gwen_posts_listing_list_alt_b_no_sidebar');
add_action('wp_ajax_gwen_posts_listing_list_alt_b_no_sidebar', 'gwen_posts_listing_list_alt_b_no_sidebar');
if (!function_exists('gwen_posts_listing_list_alt_b_no_sidebar')) {
    function gwen_posts_listing_list_alt_b_no_sidebar()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;    
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
    
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) :
            $thismodule = new gwen_posts_listing_list_alt_b_no_sidebar;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        else :
            $dataReturn = 'no-result';        
        endif;
        
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_list_alt_c_no_sidebar', 'gwen_posts_listing_list_alt_c_no_sidebar');
add_action('wp_ajax_gwen_posts_listing_list_alt_c_no_sidebar', 'gwen_posts_listing_list_alt_c_no_sidebar');
if (!function_exists('gwen_posts_listing_list_alt_c_no_sidebar')) {
    function gwen_posts_listing_list_alt_c_no_sidebar()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;    
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
    
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) :
            $thismodule = new gwen_posts_listing_list_alt_c_no_sidebar;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        else :
            $dataReturn = 'no-result';        
        endif;
        
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_list_alt_b', 'gwen_posts_listing_list_alt_b');
add_action('wp_ajax_gwen_posts_listing_list_alt_b', 'gwen_posts_listing_list_alt_b');
if (!function_exists('gwen_posts_listing_list_alt_b')) {
    function gwen_posts_listing_list_alt_b()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;    
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;      
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) :
            $thismodule = new gwen_posts_listing_list_alt_b;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        else :
            $dataReturn = 'no-result';        
        endif;
        
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_list_alt_c', 'gwen_posts_listing_list_alt_c');
add_action('wp_ajax_gwen_posts_listing_list_alt_c', 'gwen_posts_listing_list_alt_c');
if (!function_exists('gwen_posts_listing_list_alt_c')) {
    function gwen_posts_listing_list_alt_c()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;    
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) :
            $thismodule = new gwen_posts_listing_list_alt_c;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        else :
            $dataReturn = 'no-result';        
        endif;
        
        die(json_encode($dataReturn));
    }
}

add_action('wp_ajax_nopriv_gwen_posts_listing_list_no_sidebar', 'gwen_posts_listing_list_no_sidebar');
add_action('wp_ajax_gwen_posts_listing_list_no_sidebar', 'gwen_posts_listing_list_no_sidebar');
if (!function_exists('gwen_posts_listing_list_no_sidebar')) {
    function gwen_posts_listing_list_no_sidebar()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args       = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_list_no_sidebar;
            $dataReturn = $thismodule->render_modules($the_query, $moduleInfo);
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
    }
}

add_action('wp_ajax_nopriv_gwen_posts_listing_grid_alt_a', 'gwen_posts_listing_grid_alt_a');
add_action('wp_ajax_gwen_posts_listing_grid_alt_a', 'gwen_posts_listing_grid_alt_a');
if (!function_exists('gwen_posts_listing_grid_alt_a')) {
    function gwen_posts_listing_grid_alt_a()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null; 
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_grid_alt_a;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules_loadmore($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_grid_alt_b', 'gwen_posts_listing_grid_alt_b');
add_action('wp_ajax_gwen_posts_listing_grid_alt_b', 'gwen_posts_listing_grid_alt_b');
if (!function_exists('gwen_posts_listing_grid_alt_b')) {
    function gwen_posts_listing_grid_alt_b()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null; 
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_grid_alt_b;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules_loadmore($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_grid_no_sidebar', 'gwen_posts_listing_grid_no_sidebar');
add_action('wp_ajax_gwen_posts_listing_grid_no_sidebar', 'gwen_posts_listing_grid_no_sidebar');
if (!function_exists('gwen_posts_listing_grid_no_sidebar')) {
    function gwen_posts_listing_grid_no_sidebar()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;    
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_grid_no_sidebar;
                                    
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        }else {
            $dataReturn = 'no-result';        
        }
        
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_grid_small', 'gwen_posts_listing_grid_small');
add_action('wp_ajax_gwen_posts_listing_grid_small', 'gwen_posts_listing_grid_small');
if (!function_exists('gwen_posts_listing_grid_small')) {
    function gwen_posts_listing_grid_small()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;    
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_grid_small;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
    }
}
add_action('wp_ajax_nopriv_gwen_posts_listing_grid_small_no_sidebar', 'gwen_posts_listing_grid_small_no_sidebar');
add_action('wp_ajax_gwen_posts_listing_grid_small_no_sidebar', 'gwen_posts_listing_grid_small_no_sidebar');
if (!function_exists('gwen_posts_listing_grid_small_no_sidebar')) {
    function gwen_posts_listing_grid_small_no_sidebar()
    {        
        check_ajax_referer( 'gwen_ajax_security', 'securityCheck' );
        $args      = isset( $_POST['args'] ) ? $_POST['args'] : null;    
        $postOffset = isset( $_POST['postOffset'] ) ? $_POST['postOffset'] : null;    
        $type      = isset( $_POST['type'] ) ? $_POST['type'] : null;   
        $moduleInfo = isset( $_POST['moduleInfo'] ) ? $_POST['moduleInfo'] : null;   
        $the__lastPost = isset( $_POST['the__lastPost'] ) ? $_POST['the__lastPost'] : 0;   
        
        $dataReturn = 'no-result';
        
        $args['offset'] = $postOffset;
        
        $the_query = gwen_ajax_post_list::gwen_query($args);
        
        if ( $the_query->have_posts()) {
            $thismodule = new gwen_posts_listing_grid_small_no_sidebar;
            if($type == 'loadmore') :
                $dataReturn = $thismodule->render_modules_loadmore($the_query, $the__lastPost, $moduleInfo);
            else :
                $dataReturn = $thismodule->render_modules($the_query, 0, $moduleInfo);
            endif;
        }else {
            $dataReturn = 'no-result';        
        }
        die(json_encode($dataReturn));
        
    }
}*/