<?php
if ( ! function_exists( 'gwen_custom_css' ) ) {
    function gwen_custom_css() {
        $gwen_option = atbs_core::bk_get_global_var('gwen_option');
        $gwen_css_output = '';
        
        $cat_opt = get_option('bk_cat_opt');
        
        if ( isset($gwen_option)):
            $primary_color = $gwen_option['bk-primary-color'];
        endif;
        
        $gwen_css_output .= "::selection {color: #FFF; background: $primary_color;}";
        $gwen_css_output .= "::-webkit-selection {color: #FFF; background: $primary_color;}";
        
        if ( ($primary_color) != null) :
            $gwen_css_output .= "a, a:hover, a:focus, a:active, .color-primary, .site-title, 
            .gwen-featured-module .main-slider .post__cat:before, .gwen-featured-module .main-slider .post__cat:after
            {color: $primary_color;}";
            
            $gwen_css_output .= ".primary-bg-color, .navigation--main > li > a:before, .post__cat--bg, a.post__cat--bg, .entry-cat--bg, a.entry-cat--bg,
            .gwen-block .subscribe-form__inner, .promo-boxes--name, .gwen-org-pagination__item-current, .gwen-org-pagination--next-n-prev .gwen-org-pagination__item,
            .gwen-org-pagination__item-current:hover, .gwen-org-pagination__item-current:focus, .gwen-org-pagination__item-current:active,
            .btn-default:hover, .btn-default.active.focus, .btn-default.active:focus, .btn-default.active:hover, .btn-default:active.focus, .btn-default:active:focus, .btn-default:active:hover, .open>.dropdown-toggle.btn-default.focus, .open>.dropdown-toggle.btn-default:focus, .open>.dropdown-toggle.btn-default:hover,
            .gwen-org-pagination button, .gwenStickyMark, div.wpforms-container-full .wpforms-form button[type=submit], div.wpforms-container-full .wpforms-form button[type=submit]:hover
            {background-color: $primary_color;}";
            
            $gwen_css_output .= ".gwen-gallery-slider .fotorama__thumb-border
            {border-color: $primary_color;}";

            $gwen_css_output .= " .navigation--offcanvas li > a:after
            {border-right-color: $primary_color;}";

        endif;
        
        $cat__terms = get_terms( array(
            'taxonomy' => 'category',
            'hide_empty' => true,
        ) );    
        if ((is_array($cat__terms))) :
            
            foreach ($cat__terms as $key => $cat__term) :
                //$catColorVal  = atbs_core::gwen_rwmb_meta( 'bk_category__color', array( 'object_type' => 'term' ), $cat__term->term_id );  
                $catColorVal = '';
                if($catColorVal != '') :
                    $gwen_css_output .= '.cat-'.$cat__term->term_id.' .cat-theme, 
                                        .cat-'.$cat__term->term_id.'.cat-theme.cat-theme, 
                                        .cat-'.$cat__term->term_id.' a:hover .cat-icon
                    {color: '.$catColorVal.' !important;}'; 
                    
                    $gwen_css_output .= '.cat-'.$cat__term->term_id.' .cat-theme-bg,
                                        .cat-'.$cat__term->term_id.'.cat-theme-bg.cat-theme-bg,
                                        .navigation--main > li.menu-item-cat-'.$cat__term->term_id.' > a:before,
                                        .cat-'.$cat__term->term_id.'.post--featured-a .post__text:before,
                                        .gwen-carousel-b .cat-'.$cat__term->term_id.' .post__text:before,
                                        .cat-'.$cat__term->term_id.' .has-overlap-bg:before,
                                        .cat-'.$cat__term->term_id.'.post--content-overlap .overlay-content__inner:before
                    {background-color: '.$catColorVal.' !important;}'; 
                    
                    $gwen_css_output .= '.cat-'.$cat__term->term_id.' .cat-theme-border,
                                        .cat-'.$cat__term->term_id.'.cat-theme-border.cat-theme-border,
                                        .gwen-featured-block-a .main-post.cat-'.$cat__term->term_id.':before,
                                        .cat-'.$cat__term->term_id.' .category-tile__inner:before,
                                        .cat-'.$cat__term->term_id.' .has-overlap-frame:before,
                                        .navigation--offcanvas li.menu-item-cat-'.$cat__term->term_id.' > a:after,
                                        .gwen-featured-block-a .main-post:before
                    {border-color: '.$catColorVal.' !important;}';
                    
                    $gwen_css_output .= '.post--single-cover-gradient.cat-'.$cat__term->term_id.' .single-header
                    {
                    background-image: -webkit-linear-gradient( bottom , '.$catColorVal.' 0%, rgba(25, 79, 176, 0.7) 50%, rgba(25, 79, 176, 0) 100%);
                    background-image: linear-gradient(to top, '.$catColorVal.' 0%, rgba(25, 79, 176, 0.7) 50%, rgba(25, 79, 176, 0) 100%);
                    }';
                endif;
            endforeach;
            
        endif; 
        wp_add_inline_style( 'atbs-style', $gwen_css_output );
    }
    add_action( 'wp_enqueue_scripts', 'gwen_custom_css' );
}