<?php 
    $gwen_option = atbs_core::bk_get_global_var('gwen_option');
    $logo   = atbs_core::bk_get_theme_option('bk-logo');
    $mobileLogo   = atbs_core::bk_get_theme_option('bk-mobile-logo');
    if (($mobileLogo != null) && (array_key_exists('url',$mobileLogo))) {
        if ($mobileLogo['url'] == '') {
            $mobileLogo = $logo;
        }
    }else {
        $mobileLogo = $logo;
    }
    $logoSOption  = atbs_core::bk_get_theme_option('bk-site-logo-size-option');
    if($logoSOption == 'customize') {
        $logoW   = atbs_core::bk_get_theme_option('site-logo-width');
    }else {
        $logoW = '';
    }
    if ((isset($gwen_option['bk-header-inverse'])) && (($gwen_option['bk-header-inverse']) == 1)){ 
        $inverseClass = 'yes';
    }else {
        $inverseClass = '';
    }
    if ((isset($gwen_option['bk-mobile-menu-inverse'])) && (($gwen_option['bk-mobile-menu-inverse']) == 1)){ 
        $inverseClass_Mobile = 'yes';
    }else {
        $inverseClass_Mobile = '';
    }
?>
<header class="site-header">
    <!-- Top bar -->
    <?php if ( has_nav_menu( 'top-menu' ) ) :?>
	<div class="top-bar top-bar--fullwidth top-bar--inverse hidden-xs hidden-sm">
		<div class="container">
			<div class="top-bar__inner top-bar__inner--flex">
				<div class="top-bar__section">
					<div class="top-bar__nav">
						<?php 
                            if ( has_nav_menu( 'top-menu' ) ) : 
                                $menuSettings = array( 
                                    'theme_location' => 'top-menu',
                                    'container_id' => 'top-menu',
                                    'menu_class'    => 'navigation navigation--top',
                                    'depth' => '10' 
                                );
                                wp_nav_menu($menuSettings);
                            endif;
                        ?>			
                    </div>
				</div>
				<div class="top-bar__section">
                    <?php if ( isset($gwen_option ['bk-social-header']) && !empty($gwen_option ['bk-social-header']) ){ ?>
    					<ul class="social-list social-list--sm social-list--inverse list-horizontal">
    						<?php echo atbs_core::bk_get_social_media_links($gwen_option['bk-social-header']);?>            						
    					</ul>
                    <?php }?>
				</div>
			</div>
		</div>
	</div><!-- Top bar -->
    <?php endif;?>
    <!-- Mobile header -->
	<div id="gwen-mobile-header" class="mobile-header visible-xs visible-sm <?php if($inverseClass_Mobile == "yes") echo " mobile-header--inverse";?>">
		<div class="mobile-header__inner mobile-header__inner--flex">
			<div class="header-branding header-branding--mobile mobile-header__section text-left">
				<div class="header-logo header-logo--mobile flexbox__item text-left">
					<a href="<?php echo esc_url(home_url('/'));?>">
                        <?php if (($mobileLogo != null) && (array_key_exists('url',$mobileLogo))) {
                            if ($mobileLogo['url'] != '') {
                        ?>                    
                        <img src="<?php echo esc_url($mobileLogo['url']);?>" alt="<?php esc_attr_e('logo', 'gwen');?>"/>
                        <?php 
                        } else {?>
                                <span class="logo-text">
                                <?php echo esc_attr(bloginfo( 'name' ));?>
                                </span>
                        <?php }
                        } else {?>
                            <span class="logo-text">
                            <?php echo esc_attr(bloginfo( 'name' ));?>
                            </span>
                        <?php } ?>                        
                    </a>            
				</div>
			</div>
			<div class="mobile-header__section text-right">
				<button type="submit" class="mobile-header-btn js-search-dropdown-toggle">
					<i class="mdicon mdicon-search mdicon--last hidden-xs"></i><i class="mdicon mdicon-search visible-xs-inline-block"></i>
				</button>
				<a href="#gwen-offcanvas-primary" class="offcanvas-menu-toggle mobile-header-btn js-gwen-offcanvas-toggle">
					<i class="mdicon mdicon-menu mdicon--last hidden-xs"></i><i class="mdicon mdicon-menu visible-xs-inline-block"></i>
				</a>
			</div>
		</div>
	</div><!-- Mobile header -->    
    
    <!-- Navigation bar -->
	<nav class="navigation-bar navigation-bar--fullwidth text-right hidden-xs hidden-sm js-sticky-header-holder">
		<div class="navigation-bar__inner container">
			<div class="navigation-bar__section">
				<div class="site-logo header-logo">
                    <a href="<?php echo esc_url(home_url('/'));?>">
						<!-- logo open -->
                        <?php if (($logo != null) && (array_key_exists('url',$logo))) {
                                if ($logo['url'] != '') {
                            ?>
                            <img src="<?php echo esc_url($logo['url']);?>" alt="<?php esc_attr_e('logo', 'gwen');?>" <?php if($logoW != '') {echo 'width="'.esc_attr($logoW).'px"';}?>/>
                        <?php } else {?>
                            <span class="logo-text">
                            <?php echo esc_attr(bloginfo( 'name' ));?>
                            </span>
                        <?php }
                        } else {?>
                            <span class="logo-text">
                            <?php echo esc_attr(bloginfo( 'name' ));?>
                            </span>
                        <?php } ?>
                        <!-- logo close -->
					</a>
				</div>
			</div>

			<div class="navigation-wrapper navigation-bar__section js-priority-nav">
				<?php 
                    if ( has_nav_menu( 'main-menu' ) ) : 
                        $menuSettings = array( 
                            'theme_location' => 'main-menu',
                            'container_id' => 'main-menu',
                            'menu_class'    => 'navigation navigation--main navigation--inline',
                        );
                        wp_nav_menu($menuSettings);
                    endif;
                ?>
			</div>

			<div class="navigation-bar__section">
				<button type="submit" class="navigation-bar-btn js-search-dropdown-toggle"><i class="mdicon mdicon-search"></i></button>
			</div>
		</div><!-- .navigation-bar__inner -->

		<?php get_template_part( 'library/templates/header/header-search-dropdown' );?>		
    </nav><!-- Navigation-bar -->
</header><!-- Site header -->