<?php
if (!class_exists('gwen_single')) {
    class gwen_single {
        
        static $related_query = '';
        static $samecat_query = '';
        
        static function bk_entry_media($postID){
            if(function_exists('has_post_format')){
                $postFormat = get_post_format($postID);
            }else {
                $postFormat = 'standard';
            }
            $htmlOutput = '';
            if($postFormat == 'video'){
                $bkURL = get_post_meta($postID, 'bk_video_media_link', true);
                $htmlOutput .= atbs_core::bk_get_video_media($bkURL);                
            }else if($postFormat == 'gallery'){
                $galleryType = get_post_meta($postID, 'bk_gallery_type', true);
                if($galleryType == 'gallery-1') {
                    $htmlOutput .= atbs_core::bk_get_gallery_1($postID);
                }else if($galleryType == 'gallery-2') {
                    $htmlOutput .= atbs_core::bk_get_gallery_2($postID);
                }else if($galleryType == 'gallery-3') {
                    $htmlOutput .= atbs_core::bk_get_gallery_3($postID);
                }else if($galleryType == 'gallery-4') {
                    $htmlOutput .= atbs_core::bk_get_gallery_4($postID);
                }else {
                    $htmlOutput .= atbs_core::bk_get_gallery_1($postID);
                }
            }else {
                $htmlOutput = '';
            }
            return $htmlOutput;
        }
        static function bk_author_box($authorID){
            $bk_author_email = get_the_author_meta('publicemail', $authorID);
            $bk_author_name = get_the_author_meta('display_name', $authorID);
            $bk_author_tw = get_the_author_meta('twitter', $authorID);
            $bk_author_go = get_the_author_meta('googleplus', $authorID);
            $bk_author_fb = get_the_author_meta('facebook', $authorID);
            $bk_author_yo = get_the_author_meta('youtube', $authorID);
            $bk_author_www = get_the_author_meta('url', $authorID);
            $bk_author_desc = get_the_author_meta('description', $authorID);
            $bk_author_posts = count_user_posts( $authorID ); 
    
            $authorImgALT = $bk_author_name;
            $authorArgs = array(
                'class' => 'avatar photo',
            );
            
            $htmlOutput = '';
            if (($bk_author_desc != NULL) || ($bk_author_email != NULL) || ($bk_author_www != NULL) || ($bk_author_tw != NULL) || ($bk_author_go != NULL) || ($bk_author_fb != NULL) ||($bk_author_yo != NULL)) :
                $htmlOutput .= '<div class="author-box single-entry-section"><div class="author-box__inner">';
                
                $htmlOutput .= '<div class="author__name">';
                $htmlOutput .= '<a href="'.get_author_posts_url($authorID).'" title="'.esc_attr__('Posts by', 'gwen').' '.esc_attr($bk_author_name).'" rel="author">'.esc_attr($bk_author_name).'</a>';
                $htmlOutput .= '</div>';
                
                $htmlOutput .= '<div class="author__avatar">';
                $htmlOutput .= get_avatar($authorID, '180', '', esc_attr($authorImgALT), $authorArgs);
                $htmlOutput .= '</div>';
                
                
                $htmlOutput .= '<div class="author__bio">';
                $htmlOutput .= $bk_author_desc;
                $htmlOutput .= '</div>';
                

                $htmlOutput .= '<div class="author__social">';
                $htmlOutput .= '<ul class="social-list social-list--md social-list--inverse list-horizontal">';
    
                if (($bk_author_email != NULL) || ($bk_author_www != NULL) || ($bk_author_go != NULL) || ($bk_author_tw != NULL) || ($bk_author_fb != NULL) ||($bk_author_yo != NULL)) {
                    if ($bk_author_email != NULL) { $htmlOutput .= '<li><a href="mailto:'. esc_attr($bk_author_email) .'"><i class="mdicon mdicon-mail_outline"></i><span class="sr-only">e-mail</span></a></li>'; } 
                    if ($bk_author_www != NULL) { $htmlOutput .= ' <li><a href="'. esc_url($bk_author_www) .'" target="_blank"><i class="mdicon mdicon-public"></i><span class="sr-only">Website</span></a></li>'; } 
                    if ($bk_author_tw != NULL) { $htmlOutput .= ' <li><a href="'. esc_url($bk_author_tw).'" target="_blank" ><i class="mdicon mdicon-twitter"></i><span class="sr-only">Twitter</span></a></li>'; } 
                    if ($bk_author_go != NULL) { $htmlOutput .= ' <li><a href="'. esc_url($bk_author_go) .'" rel="publisher" target="_blank"><i class="mdicon mdicon-google-plus"></i><span class="sr-only">Google+</span></a></li>'; }
                    if ($bk_author_fb != NULL) { $htmlOutput .= ' <li><a href="'. esc_url($bk_author_fb) . '" target="_blank" ><i class="mdicon mdicon-facebook"></i><span class="sr-only">Facebook</span></a></li>'; }
                    if ($bk_author_yo != NULL) { $htmlOutput .= ' <li><a href="http://www.youtube.com/user/'. esc_attr($bk_author_yo) . '" target="_blank" ><span class="sr-only">Youtube</span></a></li>'; }
                }       
                                   
                $htmlOutput .= '</ul>';
                $htmlOutput .= '</div>';
                
                $htmlOutput .= '</div></div>';
            endif;
            
            return $htmlOutput;
        }
        static function bk_post_navigation($navStyle = ''){
            $next_post = get_next_post();
            $prev_post = get_previous_post();
            
            $htmlOutput = '';
            if ((!empty($prev_post)) || (!empty($next_post))):
                $htmlOutput .= '<!-- Posts navigation -->';
                $htmlOutput .= '<div class="posts-navigation single-entry-section clearfix">';
                if (!empty($prev_post)):
                    $thumbAttr = array (
                        'postID'        => $prev_post->ID,
                        'thumbSize'     => 'gwen-xs-16_9 400x225',                                
                    );
                    if($navStyle == 'wide') {
                        $thumbAttr['thumbSize'] = 'gwen-xs-16_9';
                    }
                    $theBG__URL = "url('".atbs_core::bk_get_post_thumbnail_bg_link($thumbAttr)."')";
                    
                    $htmlOutput .= '<div class="posts-navigation__prev">';
                    $htmlOutput .= '<article class="post--overlay post--overlay-bottom post--overlay-floorfade">';
                    $htmlOutput .= '<div class="background-img" style="background-image: '.$theBG__URL.';"></div>';
                    $htmlOutput .= '<div class="post__text inverse-text">';
                    $htmlOutput .= '<div class="post__text-wrap">';
                    $htmlOutput .= '<div class="post__text-inner">';
                    $htmlOutput .= '<h3 class="post__title typescale-1">'.get_the_title($prev_post->ID).'</h3>';
                    $htmlOutput .= '</div>';
                    $htmlOutput .= '</div>';
                    $htmlOutput .= '</div>';
                    $htmlOutput .= '<a href="'.get_permalink( $prev_post->ID ).'" class="link-overlay"></a>';
                    $htmlOutput .= '</article>';
                    $htmlOutput .= '<a class="posts-navigation__label" href="'.get_permalink( $prev_post->ID ).'"><span><i class="mdicon mdicon-arrow_back"></i>'.esc_html__('Previous article', 'gwen').'</span></a>';
                    $htmlOutput .= '</div>';
                endif;
                if (!empty($next_post)):
                    $thumbAttr = array (
                        'postID'        => $next_post->ID,
                        'thumbSize'     => 'gwen-xs-16_9 400x225',                                
                    );
                    if($navStyle == 'wide') {
                        $thumbAttr['thumbSize'] = 'gwen-xs-16_9';
                    }
                    $theBG__URL = "url('".atbs_core::bk_get_post_thumbnail_bg_link($thumbAttr)."')";
                    
                    $htmlOutput .= '<div class="posts-navigation__next">';
                    $htmlOutput .= '<article class="post--overlay post--overlay-bottom post--overlay-floorfade">';
                    $htmlOutput .= '<div class="background-img" style="background-image: '.$theBG__URL.';"></div>';
                    $htmlOutput .= '<div class="post__text inverse-text">';
                    $htmlOutput .= '<div class="post__text-wrap">';
                    $htmlOutput .= '<div class="post__text-inner">';
                    $htmlOutput .= '<h3 class="post__title typescale-1">'.get_the_title($next_post->ID).'</h3>';
                    $htmlOutput .= '</div>';
                    $htmlOutput .= '</div>';
                    $htmlOutput .= '</div>';
                    $htmlOutput .= '<a href="'.get_permalink( $next_post->ID ).'" class="link-overlay"></a>';
                    $htmlOutput .= '</article>';
                    $htmlOutput .= '<a class="posts-navigation__label" href="'.get_permalink( $next_post->ID ).'"><span>'.esc_html__('Next article', 'gwen').'<i class="mdicon mdicon-arrow_forward"></i></span></a>';
                    $htmlOutput .= '</div>';
                endif;
                $htmlOutput .= '</div>';
                $htmlOutput .= '<!-- Posts navigation -->';
            endif;
            return $htmlOutput;
        }
    /**
     * ************* Get Post Option *****************
     *---------------------------------------------------
     */
        static function bk_get_post_option($postID, $theoption = '') {
            $gwen_option = atbs_core::bk_get_global_var('gwen_option');
            $output = '';
            
            if($theoption != '') :
                $output = get_post_meta($postID, $theoption, true);
                if(($output == 'global_settings') || ($output == '')):
                    if(isset($gwen_option[$theoption])) {
                        $output = $gwen_option[$theoption];
                    }else {
                        $output = '';
                    }
                endif;
            endif;
            
            return $output;
        }
     /**
     * ************* Get Post Option *****************
     *---------------------------------------------------
     */
        static function bk_get_post_wide_option($postID, $theoption = '') {
            $gwen_option = atbs_core::bk_get_global_var('gwen_option');
            $output = '';
            
            if($theoption != '') :
                $output = get_post_meta($postID, $theoption, true);
                if(($output == 'global_settings') || ($output == '')):
                    if(isset($gwen_option[$theoption.'-wide'])) {
                        $output = $gwen_option[$theoption.'-wide'];
                    }else {
                        $output = '';
                    }
                endif;
            endif;
            
            return $output;
        }        
    /**
     * ************* Related Post *****************
     *---------------------------------------------------
     */            
        static function bk_related_post($post) {
            $postID = $post->ID;
            $gwen_option = atbs_core::bk_get_global_var('gwen_option');
            
            $excludeid = array();
            $samecat_post_ids = array();
            
            if(self::$samecat_query != '') {
                $samecat_post_ids = wp_list_pluck( self::$samecat_query->posts, 'ID' );
            }
            
            array_push($excludeid, $postID);
            
            if(count($samecat_post_ids) > 0) {
                foreach($samecat_post_ids as $samecat_post_id):
                    array_push($excludeid, $samecat_post_id);
                endforeach;
            }
                        
            $bkSingleLayout = get_post_meta($postID,'bk_post_layout_standard',true);
            
            if($bkSingleLayout != 'global_settings') :
                $bkRelatedSource    =  self::bk_get_post_option($postID, 'bk_related_source');
                $bk_number_related  =  self::bk_get_post_option($postID, 'bk_number_related');
            else:
                $bkRelatedSource    =  $gwen_option['bk_related_source'];
                $bk_number_related  =  $gwen_option['bk_number_related'];
            endif;
            
            if (is_attachment() && ($post->post_parent)) { $postID = $post->post_parent; };
            
            $bk_tags = wp_get_post_tags($postID);
            $tag_length = sizeof($bk_tags);                               
            $bk_tag_check = $bk_all_cats = array();
            foreach ( $bk_tags as $tag_key => $bk_tag ) { $bk_tag_check[$tag_key] = $bk_tag->term_id; }    
            
            $bk_categories = get_the_category($postID);  
            $category_length = sizeof($bk_categories);
            if ($category_length > 0){       
                foreach ( $bk_categories as $category_key => $bk_category ) { $bk_all_cats[$category_key] = $bk_category->term_id; }
            }
            
            if($bkRelatedSource == 'category_tag') {
                $args = array(  
                    'posts_per_page' => intval($bk_number_related),
                    'post__not_in' => $excludeid,
                    'post_status' => 'publish',
                    'post_type' => 'post',
        			'ignore_sticky_posts' => 1,
                    'tax_query' => array(
                        'relation' => 'OR',
                        array(
                            'taxonomy' => 'category',
                            'field' => 'term_id',
                            'terms' => $bk_all_cats,
                            'include_children' => false,
                        ),
                        array(
                            'taxonomy' => 'post_tag',
                            'field' => 'term_id',
                            'terms' => $bk_tag_check,
                        )
                    )
                );
            }elseif($bkRelatedSource == 'tag') {
                $args = array(  
                    'posts_per_page' => intval($bk_number_related),
                    'tag_in' => $bk_tag_check, 
                    'post__not_in' => $excludeid,
                    'post_status' => 'publish',
                    'orderby' => 'rand',
                    'ignore_sticky_posts' => 1,
                );
            }elseif($bkRelatedSource == 'category') {
                $args = array(  
                    'posts_per_page' => intval($bk_number_related),
                    'post__not_in'   => $excludeid,
                    'post_status'    => 'publish',
                    'post_type'      => 'post',
        			'ignore_sticky_posts' => 1,
                    'category__in'        => $bk_all_cats,
                );
            }elseif($bkRelatedSource == 'author') {
                $args = array(  
                    'posts_per_page'    => intval($bk_number_related),
                    'post__not_in'      => $excludeid,
                    'post_status'       => 'publish',
                    'post_type'         => 'post',
        			'ignore_sticky_posts' => 1,
                    'author'              => $post->post_author
                );
            }
            
            $the_query = new WP_Query( $args );
            
            if (empty($the_query) || ($the_query->post_count == 0)) {
                return '';
            }
            
            self::$related_query = $the_query;
            
            $bk_related_output = '';
            
            $bk_related_output .= '<div class="related-posts single-entry-section">';
            $bk_related_output .= '<div class="block-heading">';
        	$bk_related_output .= '<h4 class="block-heading__title">'.esc_html__('You may also like', 'gwen').'</h4>';
        	$bk_related_output .= '</div>';
            
            if ( $the_query != NULL ) {
                $bk_related_output .= '<div class="row row--space-between">';
                $bk_related_output .= self::bk_get_related_post($the_query);
                $bk_related_output .= '</div>';
            }    
            $bk_related_output .= '</div>';
            
            wp_reset_postdata();    
            return $bk_related_output;
        }
        static function bk_get_related_post($the_query) {
            $bk_related_posts = '';
            $postOverlayHTML = new gwen_overlay_4;
            $postOverlayAttr = array (
                'additionalClass'   => 'post--overlay-bottom post--overlay-floorfade',
                'meta'              => array('date'),
                'thumbSize'         => 'gwen-xs-16_9',
                'typescale'         => 'typescale-1',
                'postIcon'          => '', 
            );
            
            while ( $the_query->have_posts() ): $the_query->the_post();    
                $postOverlayAttr['postID'] = get_the_ID();
                $bk_related_posts .= '<div class="col-xs-12 col-sm-6">';
                $bk_related_posts .= $postOverlayHTML->render($postOverlayAttr);
                $bk_related_posts .= '</div>';
            endwhile;
            
            return $bk_related_posts;
        }
    /**
     * ************* Related Post *****************
     *---------------------------------------------------
     */            
        static function bk_related_post_wide($post) {
            $postID = $post->ID;
            $gwen_option = atbs_core::bk_get_global_var('gwen_option');
            
            $excludeid = array();
            $samecat_post_ids = array();
            
            if(self::$samecat_query != '') {
                $samecat_post_ids = wp_list_pluck( self::$samecat_query->posts, 'ID' );
            }
            
            array_push($excludeid, $postID);
            
            if(count($samecat_post_ids) > 0) {
                foreach($samecat_post_ids as $samecat_post_id):
                    array_push($excludeid, $samecat_post_id);
                endforeach;
            }
            
            $bkSingleLayout = get_post_meta($postID,'bk_post_layout_standard',true);
            
            if($bkSingleLayout != 'global_settings') :
                $bkRelatedSource    =  self::bk_get_post_option($postID, 'bk_related_source_wide');
                $headingStyle       =  self::bk_get_post_option($postID, 'bk_related_heading_style_wide');
                $postLayout         =  self::bk_get_post_option($postID, 'bk_related_post_layout_wide');
                $postIcon           =  self::bk_get_post_option($postID, 'bk_related_post_icon_wide');
            else:
                $bkRelatedSource    =  $gwen_option['bk_related_source_wide'];
                $headingStyle       =  $gwen_option['bk_related_heading_style_wide'];
                $postLayout         =  $gwen_option['bk_related_post_layout_wide'];
                $postIcon           =  $gwen_option['bk_related_post_icon_wide'];
            endif;
            
            $postEntries        = 3;
            if (is_attachment() && ($post->post_parent)) { $postID = $post->post_parent; };
            
            $bk_tags = wp_get_post_tags($postID);
            $tag_length = sizeof($bk_tags);                               
            $bk_tag_check = $bk_all_cats = array();
            foreach ( $bk_tags as $tag_key => $bk_tag ) { $bk_tag_check[$tag_key] = $bk_tag->term_id; }    
            
            $bk_categories = get_the_category($postID);  
            $category_length = sizeof($bk_categories);
            if ($category_length > 0){       
                foreach ( $bk_categories as $category_key => $bk_category ) { $bk_all_cats[$category_key] = $bk_category->term_id; }
            }
            
            switch($postLayout){
                case 'listing_grid_no_sidebar':
                    $postEntries = 6;
                    break;
                case 'posts_block_j':
                    $postEntries = 6;
                    break;
                case 'posts_block_b':
                    $postEntries = 6;
                    break;
                case 'posts_block_c':
                    $postEntries = 4;
                    break;
                case 'posts_block_d':
                    $postEntries = 4;
                    break;
                case 'posts_block_e':
                    $postEntries = 3;
                    break;
                case 'posts_block_i':
                    $postEntries = 5;
                    break;
                case 'mosaic_a':
                    $postEntries = 5;
                    break;
                case 'mosaic_b':
                    $postEntries = 4;
                    break;
                case 'mosaic_c':
                    $postEntries = 3;
                    break;
                case 'featured_block_c':
                    $postEntries = 5;
                    break;
                case 'featured_block_e':
                    $postEntries = 5;
                    break;
                case 'featured_block_f':
                    $postEntries = 5;
                    break;
                default:
                    $postEntries = 3;
                    break;
            }
            if($bkRelatedSource == 'category_tag') {
                $args = array(  
                    'posts_per_page' => intval($postEntries),
                    'post__not_in' => $excludeid,
                    'post_status' => 'publish',
                    'post_type' => 'post',
        			'ignore_sticky_posts' => 1,
                    'tax_query' => array(
                        'relation' => 'OR',
                        array(
                            'taxonomy' => 'category',
                            'field' => 'term_id',
                            'terms' => $bk_all_cats,
                            'include_children' => false,
                        ),
                        array(
                            'taxonomy' => 'post_tag',
                            'field' => 'term_id',
                            'terms' => $bk_tag_check,
                        )
                    )
                );
            }elseif($bkRelatedSource == 'tag') {
                $args = array(  
                    'posts_per_page' => intval($postEntries),
                    'tag_in' => $bk_tag_check, 
                    'post__not_in' => $excludeid,
                    'post_status' => 'publish',
                    'orderby' => 'rand',
                    'ignore_sticky_posts' => 1,
                );
            }elseif($bkRelatedSource == 'category') {
                $args = array(  
                    'posts_per_page' => intval($postEntries),
                    'post__not_in'   => $excludeid,
                    'post_status'    => 'publish',
                    'post_type'      => 'post',
        			'ignore_sticky_posts' => 1,
                    'category__in'        => $bk_all_cats,
                );
            }elseif($bkRelatedSource == 'author') {
                $args = array(  
                    'posts_per_page'    => intval($postEntries),
                    'post__not_in'      => $excludeid,
                    'post_status'       => 'publish',
                    'post_type'         => 'post',
        			'ignore_sticky_posts' => 1,
                    'author'              => $post->post_author
                );
            }
            $moduleInfo = array(
                'align'         => '',
                'post_source'   => 'all',
                'post_icon'     => $postIcon,
                'iconPosition'  => '',
                'meta'          => '',
                'cat'           => '',
                'excerpt'       => '',
            );
            
            if(isset($headingStyle)) {
                $headingClass = atbs_core::bk_get_block_heading_class($headingStyle);
            }
            
            $the_query = new WP_Query( $args );
            
            if (empty($the_query) || ($the_query->post_count == 0)) {
                return '';
            }
            
            self::$related_query = $the_query;
            
            $bk_related_output = '';
            
            $bk_related_output .= '<div class="gwen-block gwen-block--fullwidth related-posts has-background lightgray-bg">';
            $bk_related_output .= '<div class="container">';
            $bk_related_output .= '<div class="block-heading '.$headingClass.'">';
        	$bk_related_output .= '<h4 class="block-heading__title">'.esc_html__('You may also like', 'gwen').'</h4>';
            $bk_related_output .= '</div>';
            
            if ( $the_query != NULL ) {
                $bk_related_output .= self::bk_get_blog_posts($the_query, $moduleInfo, $postLayout);
            }    
            $bk_related_output .= '</div><!--.container-->';
            $bk_related_output .= '</div>';
            
            wp_reset_postdata();    
            return $bk_related_output;
        }
        static function bk_same_category_posts($post) {
            $postID = $post->ID;
            $excludeid = array();
            $related_post_ids = array();
            
            if(self::$related_query != ''):
                $related_post_ids = wp_list_pluck( self::$related_query->posts, 'ID' );
            endif;
            
            array_push($excludeid, $postID);
            
            if(count($related_post_ids) > 0) {
                foreach($related_post_ids as $related_post_id):
                    array_push($excludeid, $related_post_id);
                endforeach;
            }
            
            $catID       = self::bk_get_post_option($postID, 'bk_same_cat_id');
            if($catID == '') {
                $catID = 'current_cat';
            }
            if($catID == 'disable') {
                return '';
            }
            if($catID == 'current_cat') {
                $category = get_the_category($postID); 
                if(isset($category[0]) && $category[0]){
                    $catID = $category[0]->term_id;  
                }
                else {
                    return '';
                }
            }      
            
            $gwen_option = atbs_core::bk_get_global_var('gwen_option');
            $bkSingleLayout = get_post_meta($postID,'bk_post_layout_standard',true);
            
            if($bkSingleLayout != 'global_settings') :
                $headingStyle       =  self::bk_get_post_option($postID, 'bk_same_cat_heading_style');    
                $postLayout         =  self::bk_get_post_option($postID, 'bk_same_cat_post_layout');
                $postEntries        =  self::bk_get_post_option($postID, 'bk_same_cat_number_posts');            
                $cat                =  self::bk_get_post_option($postID, 'bk_same_cat_post_category');
                $excerpt            =  self::bk_get_post_option($postID, 'bk_same_cat_post_excerpt');
                $metaList           =  self::bk_get_post_option($postID, 'bk_same_cat_post_meta');
                $postIcon           =  self::bk_get_post_option($postID, 'bk_same_cat_post_icon');
                $moreLink           =  self::bk_get_post_option($postID, 'bk_same_cat_more_link');
            else:
                $headingStyle       =  $gwen_option['bk_same_cat_heading_style'];    
                $postLayout         =  $gwen_option['bk_same_cat_post_layout'];
                $postEntries        =  $gwen_option['bk_same_cat_number_posts'];            
                $cat                =  $gwen_option['bk_same_cat_post_category'];
                $excerpt            =  $gwen_option['bk_same_cat_post_excerpt'];
                $metaList           =  $gwen_option['bk_same_cat_post_meta'];
                $postIcon           =  $gwen_option['bk_same_cat_post_icon'];
                $moreLink           =  $gwen_option['bk_same_cat_more_link'];
            endif;
            
            if(isset($headingStyle)) {
                $headingClass = atbs_core::bk_get_block_heading_class($headingStyle);
            }
            
            $bk_all_cats = array();
            $bk_categories = get_the_category($postID);  
            $category_length = sizeof($bk_categories);
            if ($category_length > 0){       
                foreach ( $bk_categories as $category_key => $bk_category ) { $bk_all_cats[$category_key] = $bk_category->term_id; }
            }
            
            $moduleInfo = array(
                'align'         => '',
                'post_source'   => 'all',
                'post_icon'     => $postIcon,
                'meta'          => $metaList,
                'cat'           => $cat,
                'excerpt'       => $excerpt,
            );
                        
            $args = array(  
                'posts_per_page' => $postEntries,
                'post__not_in'   => $excludeid,
                'post_status'    => 'publish',
                'post_type'      => 'post',
    			'ignore_sticky_posts' => 1,
                'category__in'        => $catID,
            );
            
            $the_query = new WP_Query( $args );
            
            self::$samecat_query = $the_query;
            
            if (empty($the_query) || ($the_query->post_count == 0)) {
                return '';
            }
            
            $dataOutput = '';
            $dataOutput .= '<div class="same-category-posts single-entry-section">';
            $dataOutput .= '<div class="block-heading '.$headingClass.'">';
        	$dataOutput .= '<h4 class="block-heading__title">'.esc_html__('More in', 'gwen').' <a href="'.get_category_link($catID).'" class="cat-'.$catID.' cat-theme">'. get_cat_name($catID).'</a></h4>';
        	$dataOutput .= '</div>';
            
            $dataOutput .= '<div class="posts-list">';
            $dataOutput .= self::bk_get_blog_posts($the_query, $moduleInfo, $postLayout);
            $dataOutput .= '</div>';
            
            if($moreLink == 1) {
                $dataOutput .= '<nav class="gwen-pagination text-center">';
            	$dataOutput .= '<a href="'.get_category_link($catID).'" class="btn btn-default">'.esc_html__('View all ', 'gwen'). get_cat_name($catID).'<i class="mdicon mdicon-arrow_forward mdicon--last"></i></a>';
            	$dataOutput .= '</nav>';
            }
            
            $dataOutput .= '</div>';
            
            wp_reset_postdata();    
            return $dataOutput;
        }
        static function bk_same_category_posts_wide($post) {
            $postID = $post->ID;
            $excludeid = array();
            
            $related_post_ids = array();
            
            if(self::$related_query != ''):
                $related_post_ids = wp_list_pluck( self::$related_query->posts, 'ID' );
            endif;
            
            array_push($excludeid, $postID);
            
            if(count($related_post_ids) > 0) {
                foreach($related_post_ids as $related_post_id):
                    array_push($excludeid, $related_post_id);
                endforeach;
            }
            
            $catID              = self::bk_get_post_option($postID, 'bk_same_cat_id_wide');
            
            if($catID == '') {
                $catID = 'current_cat';
            }
            if($catID == 'disable') {
                return '';
            }
            if($catID == 'current_cat') {
                $category = get_the_category($postID); 
                if(isset($category[0]) && $category[0]){
                    $catID = $category[0]->term_id;  
                }
                else {
                    return '';
                }
            }      
            
            $gwen_option = atbs_core::bk_get_global_var('gwen_option');
            $bkSingleLayout = get_post_meta($postID,'bk_post_layout_standard',true);
            
            if($bkSingleLayout != 'global_settings') :
                $headingStyle       =  self::bk_get_post_option($postID, 'bk_same_cat_heading_style_wide');    
                $postLayout         =  self::bk_get_post_option($postID, 'bk_same_cat_post_layout_wide');
                $postEntries        =  3;
                $postIcon           =  self::bk_get_post_option($postID, 'bk_same_cat_post_icon_wide');
                $moreLink           =  self::bk_get_post_option($postID, 'bk_same_cat_more_link_wide');
            else:
                $headingStyle       =  $gwen_option['bk_same_cat_heading_style_wide'];    
                $postLayout         =  $gwen_option['bk_same_cat_post_layout_wide'];
                $postEntries        =  3;
                $postIcon           =  $gwen_option['bk_same_cat_post_icon_wide'];
                $moreLink           =  $gwen_option['bk_same_cat_more_link_wide'];
            endif;
            
            if(isset($headingStyle)) {
                $headingClass = atbs_core::bk_get_block_heading_class($headingStyle);
            }
            
            $bk_all_cats = array();
            $bk_categories = get_the_category($postID);  
            $category_length = sizeof($bk_categories);
            if ($category_length > 0){       
                foreach ( $bk_categories as $category_key => $bk_category ) { $bk_all_cats[$category_key] = $bk_category->term_id; }
            }
            
            $moduleInfo = array(
                'align'         => '',
                'post_source'   => 'all',
                'post_icon'     => $postIcon,
                'iconPosition'  => '',
                'meta'          => '',
                'cat'           => '',
                'excerpt'       => '',
            );
            
            switch($postLayout){
                case 'listing_grid_no_sidebar':
                    $postEntries = 6;
                    break;
                case 'posts_block_j':
                    $postEntries = 6;
                    break;
                case 'posts_block_b':
                    $postEntries = 6;
                    break;
                case 'posts_block_c':
                    $postEntries = 4;
                    break;
                case 'posts_block_d':
                    $postEntries = 4;
                    break;
                case 'posts_block_e':
                    $postEntries = 3;
                    break;
                case 'posts_block_i':
                    $postEntries = 5;
                    break;
                case 'mosaic_a':
                    $postEntries = 5;
                    break;
                case 'mosaic_b':
                    $postEntries = 4;
                    break;
                case 'mosaic_c':
                    $postEntries = 3;
                    break;
                case 'featured_block_c':
                    $postEntries = 5;
                    break;
                case 'featured_block_e':
                    $postEntries = 5;
                    break;
                case 'featured_block_f':
                    $postEntries = 5;
                    break;
                default:
                    $postEntries = 3;
                    break;
            }
                
            $args = array(  
                'posts_per_page' => $postEntries,
                'post__not_in'   => $excludeid,
                'post_status'    => 'publish',
                'post_type'      => 'post',
    			'ignore_sticky_posts' => 1,
                'category__in'        => $catID,
            );

            $the_query = new WP_Query( $args );
            
            self::$samecat_query = $the_query;
            
            if (empty($the_query) || ($the_query->post_count == 0)) {
                return '';
            }
            
            $dataOutput = '';
            $dataOutput .= '<div class="gwen-block gwen-block--fullwidth related-posts has-background lightgray-bg">';
            $dataOutput .= '<div class="container">';
            $dataOutput .= '<div class="block-heading '.$headingClass.'">';
        	$dataOutput .= '<h4 class="block-heading__title">'.esc_html__('More in', 'gwen').' <a href="'.get_category_link($catID).'" class="cat-'.$catID.' cat-theme">'. get_cat_name($catID).'</a></h4>';
        	$dataOutput .= '</div>';
            
            $dataOutput .= self::bk_get_blog_posts($the_query, $moduleInfo, $postLayout);
            
            if($moreLink == 1) {
                $dataOutput .= '<nav class="gwen-pagination text-center">';
            	$dataOutput .= '<a href="'.get_category_link($catID).'" class="btn btn-default">'.esc_html__('View all ', 'gwen'). get_cat_name($catID).'<i class="mdicon mdicon-arrow_forward mdicon--last"></i></a>';
            	$dataOutput .= '</nav>';
            }
            
            $dataOutput .= '</div><!--.container-->';
            $dataOutput .= '</div>';
            
            wp_reset_postdata();    
            return $dataOutput;
        }
        /**
         * ************* Post Share *****************
         *---------------------------------------------------
         */   
        static function bk_entry_interaction_share($postID) {
            $gwen_option = atbs_core::bk_get_global_var('gwen_option');
            $htmlOutput = '';
            $titleget = get_the_title($postID);
            $bk_url = get_permalink($postID);
            $fb_oc = "window.open('http://www.facebook.com/sharer.php?u=".urlencode(get_permalink())."','Facebook','width=600,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;";
            $tw_oc = "window.open('http://twitter.com/share?url=".urlencode(get_permalink())."&amp;text=".str_replace(" ", "%20", $titleget)."','Twitter share','width=600,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;";
            $gp_oc = "window.open('https://plus.google.com/share?url=".urlencode(get_permalink())."','Google plus','width=585,height=666,left='+(screen.availWidth/2-292)+',top='+(screen.availHeight/2-333)+''); return false;";
            $li_oc = "window.open('http://www.linkedin.com/shareArticle?mini=true&amp;url=".urlencode(get_permalink())."','Linkedin','width=863,height=500,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;";
            
            $share_box = 1;
            if ($share_box){
                $social_share['fb'] = $gwen_option['bk-fb-sw'];
                $social_share['tw'] = $gwen_option['bk-tw-sw'];
                $social_share['gp'] = $gwen_option['bk-gp-sw'];
                $social_share['pi'] = $gwen_option['bk-pi-sw'];
                $social_share['li'] = $gwen_option['bk-li-sw'];
                
                
                $fbText = $twText = $gpText = $piText = $stuText = $liText = '';
            }
            
            $htmlOutput .= '<ul class="social-list social-list--md list-horizontal">';
            if ($social_share['fb']):
                $htmlOutput .= '<li><a onClick="'.$fb_oc.'" href="http://www.facebook.com/sharer.php?u='.urlencode(get_permalink()).'"><div class="share-item__icon"><i class="mdicon mdicon-facebook " title="'.esc_attr__('Facebook','gwen').'"></i></div></a></li>';
            endif;
            if ($social_share['tw']):
                $htmlOutput .= '<li><a onClick="'.$tw_oc.'" href="http://twitter.com/share?url='.urlencode(get_permalink()).'&amp;text='.str_replace(" ", "%20", $titleget).'"><div class="share-item__icon"><i class="mdicon mdicon-twitter " title="'.esc_attr__('Twitter','gwen').'"></i></div></a></li>';
            endif;
            if ($social_share['gp']):
                $htmlOutput .= '<li><a onClick="'.$gp_oc.'" href="https://plus.google.com/share?url='.urlencode(get_permalink()).'"><div class="share-item__icon"><i class="mdicon mdicon-google-plus " title="'.esc_attr__('Google Plus','gwen').'"></i></div></a></li>';
            endif;
            if ($social_share['pi']):
                $htmlOutput .= '<li><a href="javascript:void((function()%7Bvar%20e=document.createElement(&apos;script&apos;);e.setAttribute(&apos;type&apos;,&apos;text/javascript&apos;);e.setAttribute(&apos;charset&apos;,&apos;UTF-8&apos;);e.setAttribute(&apos;src&apos;,&apos;http://assets.pinterest.com/js/pinmarklet.js?r=&apos;+Math.random()*99999999);document.body.appendChild(e)%7D)());"><div class="share-item__icon"><i class="mdicon mdicon-pinterest-p " title="'.esc_attr__('Pinterest','gwen').'"></i></div></a></li>';
            endif;
            if ($social_share['li']):
                $htmlOutput .= '<li><a onClick="'.$li_oc.'" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='. urlencode(get_permalink()).'"><div class="share-item__icon"><i class="mdicon mdicon-linkedin " title="'.esc_attr__('Linkedin','gwen').'"></i></div></a></li>';
            endif;
            $htmlOutput .= '</ul>';
            
            return $htmlOutput;
        }
        /**
         * ************* Post Share *****************
         *---------------------------------------------------
         */   
        static function bk_entry_interaction_comments($postID) {
            $htmlOutput = '<a href="#comments" class="comments-count entry-action-btn" data-toggle="tooltip" data-placement="top" title="'.get_comments_number($postID).' '.esc_attr__('Comments', 'gwen').'"><i class="mdicon mdicon-chat_bubble"></i><span>'.get_comments_number($postID).'</span></a>';
            return $htmlOutput;
        }
        static function bk_get_blog_posts($the_query, $moduleInfo, $postLayout = 'listing_list') {
            $dataOutput = '';
            if ( $the_query->have_posts() ) :
                switch($postLayout){
                    case 'listing_list':
                        $sectionHTML = new gwen_posts_listing_list;
                        $dataOutput .= '<div class="posts-list list-space-xl">';
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo);            //render modules
                        $dataOutput .= '</div>';
                        break;
                    case 'listing_list_alt_a':
                        $sectionHTML = new gwen_posts_listing_list_alt_a;
                        $dataOutput .= '<div class="posts-list list-space-xl">';
                        $dataOutput .= $sectionHTML->render_modules($the_query, 0, $moduleInfo);            //render modules
                        $dataOutput .= '</div>';
                        break;
                    case 'listing_grid':
                        $sectionHTML = new gwen_posts_listing_grid;
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo);            //render modules
                        break;
                    case 'listing_grid_no_sidebar':
                        $sectionHTML = new gwen_posts_listing_grid_no_sidebar;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition'  => 'center',
                            'meta'          => 2, //array('author', 'date'),
                            'cat'           => 1,
                            'excerpt'       => '',
                            'align'         => '',
                        );
                        $dataOutput .= '<div class="row row--space-between posts-list">';
                        $dataOutput .= $sectionHTML->render_modules($the_query, 0, $moduleInfo_Array);            //render modules
                        $dataOutput .= '</div>';
                        break;
                    case 'listing_grid_small':
                        $sectionHTML = new gwen_posts_listing_grid_small;
                        $dataOutput .= '<div class="row row--space-between posts-list">';
                        $dataOutput .= $sectionHTML->render_modules($the_query, 0, $moduleInfo);            //render modules
                        $dataOutput .= '</div>';
                        break;
                    case 'posts_block_main_col_l':
                        $sectionHTML = new gwen_posts_block_main_col_l;
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo);            //render modules
                        break;
                    case 'posts_block_b':
                        $sectionHTML = new gwen_posts_block_b;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'top-right',
                            'iconPosition_S'  => 'top-right',
                            'meta_L'          => 1, // Author
                            'meta_S'          => 8, // Date
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => 1, //Top-Left 
                            'textAlign'     => '',
                            'footerStyle'   => '1-col',
                        );
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        break;
                    case 'posts_block_c':
                        $sectionHTML = new gwen_posts_block_c;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition'  => 'center',
                            'meta'          => 9, //array('date', 'comment'),
                            'cat'           => 2, //Overlap
                            'footerStyle'   => '1-col'
                        );   
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        break;
                    case 'posts_block_d':
                        $sectionHTML = new gwen_posts_block_d;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition'  => 'center',
                            'meta'          => 9, //array('date', 'comment'),
                            'cat'           => 2, //Overlap
                            'textAlign'     => 'text-center',
                            'footerStyle'   => '1-col'
                        );   
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        break;
                    case 'posts_block_e':
                        $sectionHTML = new gwen_posts_block_e;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'top-right',
                            'iconPosition_S'  => 'top-right',
                            'meta_L'          => 2, //array('author', 'date'),
                            'meta_S'          => 8, //array('date'),
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => '', //Top-Left 
                            'excerpt_L'       => '',
                            'textAlign'     => '',
                            'footerStyle'   => '1-col',
                        );
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        break;
                    case 'posts_block_i':
                        $sectionHTML = new gwen_posts_block_i;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'top-right',
                            'iconPosition_S'  => 'top-right',
                            'meta_L'          => 2, //array('author', 'date'),
                            'meta_S'          => 8, //array('date'),
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => 1, //Top-Left 
                            'excerpt_L'       => '',
                            'footerStyle'   => '1-col',
                        );
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        break;
                    case 'posts_block_j':
                        $sectionHTML = new gwen_posts_block_j;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'top-right',
                            'iconPosition_S'  => 'top-right',
                            'meta_L'          => 1, // Author
                            'meta_S'          => 8, // Date
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => '', //Top-Left 
                            'excerpt_L'       => '',
                            'textAlign'     => '',
                            'footerStyle'   => '1-col',
                        );
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        break;
                    case 'mosaic_a':
                        $sectionHTML = new gwen_mosaic_a;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'top-right',
                            'iconPosition_S'  => 'top-right',
                            'meta_L'          => 2, // Author
                            'meta_S'          => 8, // Date
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => '', //Top-Left 
                            'excerpt_L'       => '',
                            'textAlign'     => '',
                            'footerStyle'   => '1-col',
                        );
                        $dataOutput .= '<div class="gwen-mosaic gwen-mosaic--gutter-10">';
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        $dataOutput .= '</div>';
                        break;
                    case 'mosaic_b':
                        $sectionHTML = new gwen_mosaic_b;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'top-right',
                            'iconPosition_S'  => 'top-right',
                            'meta_L'          => 2, // Author
                            'meta_S'          => 8, // Date
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => '', //Top-Left 
                            'excerpt_L'       => '',
                            'textAlign'     => '',
                            'footerStyle'   => '1-col',
                        );
                        $dataOutput .= '<div class="gwen-mosaic gwen-mosaic--gutter-10">';
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        $dataOutput .= '</div>';
                        break;
                    case 'mosaic_c':
                        $sectionHTML = new gwen_mosaic_c;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'top-right',
                            'iconPosition_S'  => 'top-right',
                            'meta_L'          => 2, // Author
                            'meta_S'          => 8, // Date
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => '', //Top-Left 
                            'excerpt_L'       => '',
                            'textAlign'     => '',
                            'footerStyle'   => '1-col',
                        );
                        $dataOutput .= '<div class="gwen-mosaic gwen-mosaic--gutter-10">';
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        $dataOutput .= '</div>';
                        break;
                    case 'featured_block_c':
                        $sectionHTML = new gwen_featured_block_c;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'top-right',
                            'iconPosition_S'  => 'top-right',
                            'meta'            => 3, // Author
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => '', //Top-Left 
                            'excerpt_L'       => '',
                            'footerStyle'   => '2-cols-border',
                        );
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        break;
                    case 'featured_block_e':
                        $sectionHTML = new gwen_featured_block_e;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'center',
                            'iconPosition_S'  => 'center',
                            'meta_L'          => 2, // Author
                            'meta_S'          => 8, // Date
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => 1, //Top-Left 
                            'excerpt_L'       => '',
                            'textAlign'     => '',
                        );
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        break;
                    case 'featured_block_f':
                        $sectionHTML = new gwen_featured_block_f;
                        $moduleInfo_Array = array(
                            'post_source'   => 'all',
                            'post_icon'     => $moduleInfo['post_icon'],
                            'iconPosition_L'  => 'center',
                            'iconPosition_S'  => 'center',
                            'meta_L'          => 2, // Author
                            'meta_S'          => 8, // Date
                            'cat_L'           => 1, //Top-Left 
                            'cat_S'           => 1, //Top-Left 
                            'excerpt_L'       => '',
                            'textAlign'     => '',
                        );
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo_Array);            //render modules
                        break;
                    default:
                        $sectionHTML = new gwen_posts_listing_list;
                        $dataOutput .= $sectionHTML->render_modules($the_query, $moduleInfo);            //render modules
                        break;
                }
            endif;
            
            return $dataOutput;
        }
        static function bk_post_pagination(){
            global $page, $pages;
            if(count($pages) > 1):
            ?>
            <nav class="gwen-org-pagination gwen-org-pagination--next-n-prev">
				<div class="gwen-org-pagination__inner">
					<div class="gwen-org-pagination__label"><?php esc_html_e('Page ', 'gwen'); echo( esc_html($page).' of '.count($pages) );?></div>
					<div class="gwen-org-pagination__links <?php if($page == count($pages)){echo ('gwen-org-pagination-last-page-link');}?>">
                        <?php
                            wp_link_pages( array( 
                                'before' => '', 
                                'after' => '', 
                                'previouspagelink' => esc_html__('Previous', 'gwen'), 
                                'nextpagelink' => esc_html__('Next', 'gwen'), 
                                'next_or_number' => 'next',   
                                'link_before' => '<span class="gwen-org-pagination__item">',
	                            'link_after' => '</span>',                                                                                           
                            ) ); 
                        ?>                                                                                                                                                                                                       
					</div>
				</div>
			</nav>
            <?php
            endif;
        }
        
    /**
     * ************* Review Box *****************
     *---------------------------------------------------
     */   
        static function bk_post_review_box_default($postID){
            
            $reviewCheck = get_post_meta($postID,'bk_review_checkbox',true);
            if($reviewCheck != 1) :
                return '';
            endif;
            
            $dataOutput = '';
            $productMediaLeft = '';
            $productMediaBody = '';
            
            $reviewScore = get_post_meta($postID,'bk_review_score',true);
            $the_pros_cons = get_post_meta($postID,'bk_pros_cons',true);
            
            
            $dataOutput .= '<div class="gwen-review default-position">';
            $dataOutput .= '<div class="gwen-review__inner">';
            
            $dataOutput .= '<div class="gwen-review__top">';        
            $dataOutput .= self::bk_post_review_media($postID);            
            $dataOutput .= self::bk_post_review_overall_score($postID);
            $dataOutput .= '</div><!--gwen-review__top-->';
            
            $dataOutput .= self::bk_post_review_summary($postID);
            
            if($the_pros_cons == 1) :
                $dataOutput .= self::bk_post_review_pros_cons($postID);
            endif;
            
            $dataOutput .= '</div><!--gwen-review__inner-->';
            $dataOutput .= '</div>';
            
            return $dataOutput;
        }
        static function bk_post_review_box_aside($postID, $position){
            global $page, $pages;
            
            $reviewCheck = get_post_meta($postID,'bk_review_checkbox',true);
            if($reviewCheck != 1) :
                return '';
            endif;
            
            if($page > 1) {
                return '';
            }
            $dataOutput = '';
            $productMediaLeft = '';
            $productMediaBody = '';
            
            $the_pros_cons = get_post_meta($postID,'bk_pros_cons',true);
            
            if($position == 'aside-left') {
                $dataOutput .= '<div class="gwen-review gwen-review--aside alignleft">';
            }else {
                $dataOutput .= '<div class="gwen-review gwen-review--aside alignright">';
            }
            $dataOutput .= '<div class="gwen-review__inner">';
            
            $dataOutput .= self::bk_post_review_overall_score($postID);
            $dataOutput .= self::bk_post_review_media($postID, $position);            
            
            $dataOutput .= self::bk_post_review_summary($postID);
            
            if($the_pros_cons == 1) :
                $dataOutput .= self::bk_post_review_pros_cons_aside($postID);
            endif;
            
            $dataOutput .= '</div><!--gwen-review__inner-->';
            $dataOutput .= '</div>';
            
            return $dataOutput;
        }
        static function bk_post_review_summary($postID){
            $summaryText = get_post_meta($postID,'bk_review_summary',true);
            
            $reviewSummary = '';
            $reviewSummary .= '<div class="gwen-review__summary">';
            $reviewSummary .= '<p>';
            $reviewSummary .= $summaryText;
            $reviewSummary .= '</p>';
            $reviewSummary .= '</div><!--gwen-review__summary-->';
            
            return $reviewSummary;
        }
        static function bk_post_review_media($postID, $position = 'default'){
            $boxTitle = get_post_meta($postID,'bk_review_box_title',true);
            $boxSubTitle = get_post_meta($postID,'bk_review_box_sub_title',true);
            
            $productMedia = '';
            $productMedia .= '<div class="gwen-review__product media">';
            $imageID = get_post_meta( $postID, 'bk_review_product_img', false );
            if((atbs_core::bk_check_array($imageID)) && ($imageID[0] != '')) {
                $productIMGURL = wp_get_attachment_image_src( $imageID[0], 'gwen-xxs-1_1' );
            }else {
                $productIMGURL = '';
            }
            if (!empty($productIMGURL) && ($productIMGURL[0] != NULL)) {
                $productMedia .= '<div class="media-left media-middle">';
                $productMedia .= '<div class="gwen-review__product-image"><img src="'.$productIMGURL[0].'" alt="'.esc_attr__('product-image', 'gwen').'"></div>';
                $productMedia .= '</div>';
            }
            
            if($position == 'default') {
                $titleTypeScale = 'typescale-2';
            }else {
                $titleTypeScale = 'typescale-1';
            }
            $productMedia .= '<div class="media-body media-middle">';
            $productMedia .= '<h3 class="gwen-review__product-name '.$titleTypeScale.'">'.$boxTitle.'</h3>';
            $productMedia .= '<span class="gwen-review__product-byline">'.$boxSubTitle.'</span>';
            $productMedia .= '</div>';
            $productMedia .= '</div><!--gwen-review__product media-->';
            
            return $productMedia;
        }
        static function bk_post_review_overall_score($postID){
            $reviewScore = get_post_meta($postID,'bk_review_score',true);
            
            $scoreBox = '';
            $scoreBox .= '<div class="gwen-review__overall-score">';
            $scoreBox .= '<div class="post-score">';
            $scoreBox .= '<span class="post-score-value">'.$reviewScore.'</span>';
            $scoreBox .= '</div>';
            $scoreBox .= '</div><!--gwen-review__overall-score-->';
            
            return $scoreBox;
        }
        static function bk_post_review_pros_cons_aside($postID){

            $prosTitle   = get_post_meta($postID,'bk_review_pros_title',true);
            $consTitle   = get_post_meta($postID,'bk_review_cons_title',true);
            $the_pros    = get_post_meta($postID,'bk_review_pros',true);
            $the_cons    = get_post_meta($postID,'bk_review_cons',true);
            
            $pros_cons = '';
            
            $pros_cons .= '<div class="gwen-review__pros-and-cons">';
            $pros_cons .= '<div class="row row--space-between grid-gutter-20">';
            
            $pros_cons .= '<div class="col-xs-12">';
            $pros_cons .= '<div class="gwen-review__pros">';
            $pros_cons .= '<h5 class="gwen-review__list-title">'.$prosTitle.'</h5>';
            $pros_cons .= '<ul>';
            if(count($the_pros) > 0) {
                foreach($the_pros as $val) :
                    $pros_cons .= '<li><i class="mdicon mdicon-add_circle"></i><span>'.$val.'</span></li>';
                endforeach;
            }
            $pros_cons .= '</ul>';
            $pros_cons .= '</div>';
            $pros_cons .= '</div>';
            
            $pros_cons .= '<div class="col-xs-12">';
            $pros_cons .= '<div class="gwen-review__cons">';
            $pros_cons .= '<h5 class="gwen-review__list-title">'.$consTitle.'</h5>';
            $pros_cons .= '<ul>';
            if(count($the_cons) > 0) {
                foreach($the_cons as $val) :
                    $pros_cons .= '<li><i class="mdicon mdicon-remove_circle"></i><span>'.$val.'</span></li>';
                endforeach;
            }
            $pros_cons .= '</ul>';
            $pros_cons .= '</div>';
            $pros_cons .= '</div>';
            
            $pros_cons .= '</div>';
            $pros_cons .= '</div><!--gwen-review__pros-and-cons-->';
            
            return $pros_cons;
        }
        static function bk_post_review_pros_cons($postID){

            $prosTitle   = get_post_meta($postID,'bk_review_pros_title',true);
            $consTitle   = get_post_meta($postID,'bk_review_cons_title',true);
            $the_pros    = get_post_meta($postID,'bk_review_pros',true);
            $the_cons    = get_post_meta($postID,'bk_review_cons',true);
            
            $pros_cons = '';
            
            $pros_cons .= '<div class="gwen-review__pros-and-cons">';
            $pros_cons .= '<div class="row row--space-between grid-gutter-20">';
            
            $pros_cons .= '<div class="col-xs-12 col-sm-6">';
            $pros_cons .= '<div class="gwen-review__pros">';
            $pros_cons .= '<h5 class="gwen-review__list-title">'.$prosTitle.'</h5>';
            $pros_cons .= '<ul>';
            if(count($the_pros) > 0) {
                foreach($the_pros as $val) :
                    $pros_cons .= '<li><i class="mdicon mdicon-add_circle"></i><span>'.$val.'</span></li>';
                endforeach;
            }
            $pros_cons .= '</ul>';
            $pros_cons .= '</div>';
            $pros_cons .= '</div>';
            
            $pros_cons .= '<div class="col-xs-12 col-sm-6">';
            $pros_cons .= '<div class="gwen-review__cons">';
            $pros_cons .= '<h5 class="gwen-review__list-title">'.$consTitle.'</h5>';
            $pros_cons .= '<ul>';
            if(count($the_cons) > 0) {
                foreach($the_cons as $val) :
                    $pros_cons .= '<li><i class="mdicon mdicon-remove_circle"></i><span>'.$val.'</span></li>';
                endforeach;
            }
            $pros_cons .= '</ul>';
            $pros_cons .= '</div>';
            $pros_cons .= '</div>';
            
            $pros_cons .= '</div>';
            $pros_cons .= '</div><!--gwen-review__pros-and-cons-->';
            
            return $pros_cons;
        }
    } // Close gwen_single
    
}