<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 */
?>
<?php
    get_header();
    
    $tagID          = $wp_query->get_queried_object_id();
    
    $archiveLayout  = gwen_archive::bk_get_archive_option($tagID, 'bk_archive_content_layout');
    $sidebar        = gwen_archive::bk_get_archive_option($tagID, 'bk_archive_sidebar_select');
    $sidebarPos     = gwen_archive::bk_get_archive_option($tagID, 'bk_archive_sidebar_position');
    $sidebarSticky  = gwen_archive::bk_get_archive_option($tagID, 'bk_archive_sidebar_sticky'); 
    $pagination     = 'default';
    
    $moduleID = uniqid('gwen_posts_'.$archiveLayout.'-');
    
    $tag = get_tag($tagID);
?>
<div class="site-content">       
    <?php if( ($archiveLayout == 'listing_list') ||
              ($archiveLayout == 'listing_list_first_large') ||
              ($archiveLayout == 'listing_grid') ||
              ($archiveLayout == 'listing_grid_first_large') ||
              ($archiveLayout == 'listing_large_post')
            ) {?>
    <div class="gwen-layout-split gwen-block gwen-block--fullwidth">
        <div class="container">
            <div class="row">
                <div class="gwen-main-col <?php if($sidebarPos == 'left') echo('has-left-sidebar');?>" role="main">
                    <div class="page-heading archive-header">
                        <?php
                            echo '<h2 class="typescale-6">'. esc_html__('Tag: ', 'gwen'). $tag->name.'</h2>';
                        ?>   
                    </div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="gwen-block">
                        <?php echo gwen_archive::archive_main_col($archiveLayout, $moduleID, $pagination);?>
                        <?php echo gwen_archive::bk_pagination_render($pagination);?>

                    </div><!-- .gwen-block -->
                </div><!-- .gwen-main-col -->

                <div class="gwen-sub-col gwen-sub-col--right sidebar <?php if($sidebarSticky != 0) echo 'js-sticky-sidebar';?>" role="complementary">
                    <div class="theiaStickySidebar">
                        <?php dynamic_sidebar( $sidebar );?>
                    </div>
                </div> <!-- .gwen-sub-col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .gwen-block -->
<?php } elseif( 
          ($archiveLayout == 'listing_large_post_fw')
        ) {?>
    <div class="gwen-block gwen-block--fullwidth">
        <?php
            if( ($archiveLayout == 'listing_grid_no_sidebar') || ($archiveLayout == 'listing_grid_small_no_sidebar') ) {
                echo '<div class="container">';
            }else {
                echo '<div class="container container--narrow">';
            }
            ?>
            <div class="page-heading archive-header">
                <?php
                    echo '<h2 class="typescale-6">'. esc_html__('Tag: ', 'gwen'). $tag->name.'</h2>';
                ?>   
            </div>
            
            <?php
            echo gwen_archive::archive_fullwidth($archiveLayout);
            if (function_exists('gwen_paginate')) {
                echo atbs_core::gwen_get_pagination();
            }
            echo '</div><!-- .container -->';
        ?>
    </div><!-- .gwen-block -->
    <?php }else {?>
    <div class="gwen-layout-split gwen-block gwen-block--fullwidth">
        <div class="container">
            <div class="row">
                <div class="gwen-main-col" role="main">
                    <div class="page-heading archive-header">
                        <?php
                            echo '<h2 class="typescale-6">'. esc_html__('Tag: ', 'gwen'). $tag->name.'</h2>';
                        ?>   
                    </div>
                    <div id="<?php echo esc_attr($moduleID);?>" class="gwen-block">
                        <?php echo gwen_archive::archive_main_col('listing_list', $moduleID, 'default');?>
                        <?php echo gwen_archive::bk_pagination_render('default');?>
                    </div><!-- .gwen-block -->
                </div><!-- .gwen-main-col -->

                <div class="gwen-sub-col gwen-sub-col--right sidebar js-sticky-sidebar" role="complementary">
                    <div class="theiaStickySidebar">
                    <?php dynamic_sidebar( $sidebar ); ?>
                    </div>
                </div> <!-- .gwen-sub-col -->
            </div><!-- .row -->
        </div><!-- .container -->
    </div><!-- .gwen-block -->
    <?php }?>
</div>

<?php get_footer(); ?>