<?php
/**
 * Add function to widgets_init that'll load our widget.
 */
add_action('widgets_init', 'gwen_register_instagram_widget');
function gwen_register_instagram_widget(){
	register_widget('gwen_instagram');
}
class gwen_instagram extends WP_Widget {
    
/**
 * Widget setup.
 */
	function __construct() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'gwen-widget gwen--instagram', 'description' => esc_html__('Displays Instagram Gallery.', 'gwen') );

		/* Create the widget. */
		parent::__construct( 'gwen_instagram', esc_html__('[Gwen]: Instagram', 'gwen'), $widget_ops);
	}
    function widget( $args, $instance ) {
		extract($args);
        $title = $instance['title'];
        $access_token = apply_filters('instagram_token', $instance['instagram_token']);
    	$amount = apply_filters('image_amount', $instance['image_amount']);
        
        $json_link = "https://api.instagram.com/v1/users/self/media/recent/?";
        $json_link .="access_token={$access_token}&count={$amount}";
        $json = file_get_contents($json_link);
        $obj = json_decode(preg_replace('/("\w+"):(\d+)/', '\\1:"\\2"', $json), true);
        
        echo $before_widget; 
        
		?>
        <div class="widget-about__inner">
            <div class="widget__title">
        		<h4 class="widget__title-text"><?php echo esc_html($title);?></h4>
        	</div>
    		<div class="widget__content">
                <ul class="list-unstyled clearfix">
                    <?php
                        foreach ($obj['data'] as $post){
                            $pic_link = $post['link'];
                            $pic_src=str_replace("http://", "https://", $post['images']['standard_resolution']['url']);
                            echo '<li class="instagram-item">';
                                echo "<a href='{$pic_link}' target='_blank' alt='instagram-img'>";
                                  echo "<img class='img-responsive photo-thumb' src='{$pic_src}' alt='{$pic_text}'>";
                                echo "</a>";
                            echo "</li>";
                        }
                    ?>
                </ul>
            </div>
        </div>
        								
        <?php echo $after_widget; ?>
        			 
        <?php }	

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {	
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
      /* Set up some default widget settings. */
      $defaults = array( 'title' => '', 'instagram_token' => '', 'image_amount' => '');
      $instance = wp_parse_args( (array) $instance, $defaults );	

      $title = esc_attr($instance['title']);
			$instagram_token = esc_attr($instance['instagram_token']);
			$amount = esc_attr($instance['image_amount']);	
    ?>
    <p>
		<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><strong><?php esc_html_e('[Optional] Title:', 'gwen'); ?></strong></label>
		<input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php if( !empty($instance['title']) ) echo esc_attr($instance['title']); ?>" />
	</p>
    <p><label for="<?php echo $this->get_field_id('instagram_token'); ?>"><?php esc_html_e( 'Instagram Token:', 'gwen'); ?> <input class="widefat" id="<?php echo $this->get_field_id('instagram_token'); ?>" name="<?php echo $this->get_field_name('instagram_token'); ?>" type="text" value="<?php echo $instagram_token; ?>" /></label></p>
    <span><?php esc_html_e('Please get the Instagram Token here: ', 'gwen');?><a target="_blank" href="https://instagram.pixelunion.net/"><?php esc_html_e('Get Instagram Token', 'gwen');?></a></span>
    <p><label for="<?php echo $this->get_field_id('image_amount'); ?>"><?php esc_html_e( 'Images count:', 'gwen'); ?> <input class="widefat" id="<?php echo $this->get_field_id('image_amount'); ?>" name="<?php echo $this->get_field_name('image_amount'); ?>" type="text" value="<?php echo $amount; ?>" /></label></p>	

<?php }

}
?>